<?php

namespace App\Admin\Actions\backstage\User;

use App\Models\User;
use App\Models\UserBalanceLog;
use Encore\Admin\Actions\RowAction;
use Illuminate\Database\Eloquent\Model;

class ReduceMoney extends RowAction
{
    public $name = '后台减少金额 ';

    public function handle(Model $model)
    {
        // $model ...
        $money = request('reduce_money');
        $change_money = $money*100;
        $after_money = $this->row->balance-$change_money;
        $arr = [
            'user_id' => $this->row->id,
            'admin_user_id' => \Admin::user()->id,
            'type' => 5,
            'relation_id' => 0,
            'before_balance' => $this->row->balance,
            'change_balance' => '-'.$change_money,
            'after_balance' => $after_money,
            'remark' => '后台减少金额',
            'created_at' => date('Y-m-d H:i:s',time()),
            'updated_at' => date('Y-m-d H:i:s',time()),

        ];
        UserBalanceLog::create($arr);
        User::where('id',$this->row->id)->update(['balance'=>$after_money]);
        return $this->response()->success('后台减少金额成功')->refresh();
    }
    public function form(){
        $this->text('reduce_money','减少金额');
    }

}