<?php

namespace App\Admin\Controllers;

use App\Models\Docter;
use App\Models\Order;
use Encore\Admin\Controllers\AdminController;
use Encore\Admin\Form;
use Encore\Admin\Grid;
use Encore\Admin\Show;

class ReplyServiceController extends AdminController
{
    /**
     * Title for current resource.
     *
     * @var string
     */
    protected $title = '图文订单数';

    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        $grid = new Grid(new Docter());


        $grid->column('id','ID');
        $grid->column('name','医生姓名');
        $grid->column('chat_price','咨询价格');
        $grid->column('orders','总订单数')->display(function (){

            $order_type = Order::where(['docter_id'=>$this->id,'product_type'=>2])->count();
            return $order_type;
        });
        $grid->column('orders_actions','进行中数')->display(function (){
            $action = Order::where(['docter_id'=>$this->id,'product_type'=>2,'order_status'=>3])->count();
            return $action;
        });
        $grid->column('orders_inishs','完成数')->display(function (){
            $finish = Order::where(['docter_id'=>$this->id,'product_type'=>2,'order_status'=>4])->count();
            return $finish;
        });
        $grid->column('orders_anomaly','异常数')->display(function (){
            $anomaly = Order::where(['docter_id'=>$this->id,'product_type'=>2])->whereIn('order_status',[1,2,5])->count();
//            dd($anomaly);
            return $anomaly;
        });

        return $grid;
    }

}
