<?php

namespace App\Admin\Controllers\ServicePacksManagment;


use App\Admin\Actions\backstage\Service\ServiceBatchGrant;
use App\Models\Patient;
use App\Models\User;
use Encore\Admin\Controllers\AdminController;
use Encore\Admin\Form;
use Encore\Admin\Grid;
use Encore\Admin\Show;

class ServiceDistributionUserList extends AdminController
{
    /**
     * Title for current resource.
     *
     * @var string
     */
    protected $title = '服务包发放患者列表';

    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        $grid = new Grid(new Patient());
        $grid->disableCreateButton();
        $uesr_id = \request('user_id');
        $grid->filter(function ($filter){
            $filter->disableIdFilter();
            $filter->like('userspatient.nickname','用户姓名');
            $filter->like('name','患者姓名');
            $filter->equal('phone','联系电话');
            $filter->like('guardian_name','监护人姓名');
            $filter->between('created_at', "创建时间")->datetime();
            $filter->between('updated_at', "更新时间")->datetime();
        });
        $grid->disableActions();
        $grid->batchActions(function ($batch) {
            $batch->add(new ServiceBatchGrant());
            $batch->disableDelete();
        });
        $grid->model()->orderBy('id','desc');
        $grid->column('id', __('患者id'));
        $grid->column('userspatient.nickname', __('用户姓名'));
        $grid->column('name', __('患者姓名'));
        $grid->column('sex', __('性别'))->using([0=>'未知',1=>'男',2=>'女',]);
//        $grid->column('avatar', __('头像'))->lightbox(['width' =>'', 'height' => 30]);
        $grid->column('age', __('年龄'));
        $grid->column('email', __('邮箱'));
        $grid->column('phone', __('联系电话'));
        $grid->column('address', __('家庭住址'))->limit(20,'...');
        $grid->column('guardian_name', __('监护人姓名'));
        $grid->column('card_type', __('证件类型'))->using([1=>'身份证',2=>'护照']);
        $grid->column('card_number', __('证件号'));
        $grid->column('social_card_number', __('社保卡号'));
        $grid->column('created_at', __('创建时间'));
        $grid->column('updated_at', __('更新时间'));
        return $grid;
    }

}
