<?php

namespace App\Console;

use App\Console\Commands\ImportOrder;
use App\Console\Commands\overTimeOrder;
use App\Console\Commands\packExpiredCheck;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
        'order'=>overTimeOrder::class,
        'scheduleNotice'=>overTimeOrder::class,
        'packExpiredCheck'=>packExpiredCheck::class,
        'importOrder'=>ImportOrder::class,
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        //检测服务包过期的定时任务
        $schedule->command('packExpiredCheck')->hourly();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
