<?php

namespace App\Http\Controllers;
use App\Models\Order;
use App\Models\OrderPatient;
use App\User;
use EasyWeChat\Factory;
use Illuminate\Http\Request;

class IndexController extends Controller
{
    public function __construct()
    {

        // 允许 $originarr 数组内的 域名跨域访问
        header('Access-Control-Allow-Origin:*');

        // 响应类型
        header('Access-Control-Allow-Methods:POST,GET');

        // 带 cookie 的跨域访问
        header('Access-Control-Allow-Credentials: true');

        // 响应头设置
        header('Access-Control-Allow-Headers:x-requested-with,Content-Type,X-CSRF-Token');

    }
    public function test()
    {
        $msgType = request('type',3); //1公众号 2医生端小程序 3 用户端小程序
        $orderId = request('order_id'); //订单id
//        if(empty($orderId)){
//            return apiReturn(601,'请输入参数');
//        }
        $msg = [
            'oYmUA5A1OIqtpA1XSrw35tbjtv1w','/pages/index/index',
            '我','是','测','试','人'
        ];
//        $res = send_wechat_message(12,$msg,'','');


        $app = Factory::miniProgram(config('config.wechat_small_program'));
        //先发送模板消息
        $data = config('config.wechat_official_message_template')[11];
        $json = json_encode($data, JSON_UNESCAPED_UNICODE);
        $json = vsprintf($json, $msg);
        $data = json_decode($json, true);
        dump($data);
        $ret = $app->uniform_message->send($data);

        dd($ret);
        $config = [
            1=>[
                'app_id' => env('OFFICE_APPID', 'wx92066f7587c34617'),
                'secret' => env('OFFICE_APPSECRET', 'bd7849c5259b79c41ec158173c5fb1d6'),
                'response_type' => 'array'
            ],
            2=>[
                'app_id' => env('DOCTRER_WECHAT_APPID', 'wx92066f7587c34617'),
                'secret' => env('DOCTRER_WECHAT_APPSECRET', 'bd7849c5259b79c41ec158173c5fb1d6'),
                'response_type' => 'array'
            ],
            3=>[
                'app_id' => env('WECHAT_APPID', 'wx6131f74e623bf6bf'),
                'secret' => env('WECHAT_APPSECRET', 'b703596ab6cbcad5b74eb51fec2aeb0b'),
                'response_type' => 'array'
            ],
        ] ;

        //测试环境配置
//        $config = [
//           'app_id' => 'wx1c2357232cd25f65',
//            'secret' => 'c8cab53e4e52234ed1bc2abbdeaba57d',
//            'app_id' => 'wx13bedfcc62e9bab0',
//            'secret' => '175e5518b6426dd12d3096f24ca68fb8',
//            'response_type' => 'array'
//            oVxTzvgYlGktIDZXwfLMLQ01Tr5s
//        ];
        $order = Order::where(['id'=>$orderId])->first();
        if(empty($order)) return apiReturn(602,'无效订单');
        if(empty($order->user_id)) return apiReturn(602,'此订单用户不存在');
        $user = User::where('id',$order->user_id)->first();
        $uid = $user->unionid;
        $uid = 'oYmUA5A1OIqtpA1XSrw35tbjtv1w';
        $name = OrderPatient::where(['order_id'=>$orderId])->value('name');
        $type_arr = [1=>'电话咨询',2=>'图文咨询',3=>'门诊预约',4=>'疫苗',5=>'儿保',6=>'服务包',7=>'充值'];
        $order = Order::where(['id'=>$orderId])->first();
        $orderType = $type_arr[$order->product_type];


        if(empty($user->unionid)) $uid = $user->openid;
//        $uid = 'o832ywXSN6RbAfJTR7rhtUQLJIis';

        if($msgType ==1){
            $app = Factory::officialAccount($config[$msgType]);
            $is_office = $app->user->get($uid);
            $data = [
                'touser' =>$uid,
                'template_id' => 'IABFkUm4hoY_J44a767nADSSsGnsexUS4L-lEWJx2AA',
//                'miniprogram' => [
//                    'appid' => env('WECHAT_APPID'),
//                    'pagepath' => '/pages/common_tools/my_consulting/consultingInfo?order_id='.$orderId,
//                ],
                'url'=>'https://wechat.fresherbaby.com/admin',
                'data' => [
                    'first' => '尊敬的客户，你有一笔'.$orderType.'订单已下单成功',
                    'keyword1' => $order->order_sn,
                    'keyword2' => ($order->total_amount/100).'元',
                    'keyword3' => '余额支付',
                    'remark' => '请耐心等待医生接单，如有疑问，请联系客服。',
                ]
            ];

            if($is_office){
                $app = Factory::officialAccount($config[3]);
                $data = [
                    'touser' =>'oYmUA5A1OIqtpA1XSrw35tbjtv1w',
                    'template_id' => 'M9b6PPKtD7PEqLsSnQ453iTIHtIZZpixOBjUjax8YXU',
                    'page' => '/pages/common_tools/my_consulting/consultingInfo?order_id='.$orderId,
                    'data' => [
                        'phrase1' => $orderType,
                        'name3' => $name,
                        'date4' => date('Y-m-d H:i:s'),
                        'thing8' => '你有一笔'.$orderType.'订单已成功下单请耐心等待',
                        'amount10' => ($order->total_amount/100).'元',
                    ]
                ];
            }

            $res = $app->template_message->send($data);
        } else {
            $app = Factory::miniProgram($config[$msgType]);

            $data = [
                'touser' =>'oYmUA5A1OIqtpA1XSrw35tbjtv1w',
                'template_id' => 'M9b6PPKtD7PEqLsSnQ453iTIHtIZZpixOBjUjax8YXU',
                'page' => '/pages/common_tools/my_consulting/consultingInfo?order_id='.$orderId,
                'data' => [
                    'phrase1' => $orderType,
                    'name3' => $name,
                    'date4' => date('Y-m-d H:i:s'),
                    'thing8' => '你有一笔'.$orderType.'订单已成功下单请耐心等待',
                    'amount10' => ($order->total_amount/100).'元',
                ]
            ];
//            $list = $app->subscribe_message->getTemplates();
            $res = $app->subscribe_message->send([
                'touser' =>'oYmUA5A1OIqtpA1XSrw35tbjtv1w',
                'template_id' => 'M9b6PPKtD7PEqLsSnQ453iTIHtIZZpixOBjUjax8YXU',
                'page' => '/pages/common_tools/my_consulting/consultingInfo?order_id='.$orderId,
                'data' => [
                    'phrase1' => $orderType,
                    'name3' => $name,
                    'date4' => date('Y-m-d H:i:s'),
                    'thing8' => '你有一笔'.$orderType.'订单已成功下单请耐心等待',
                    'amount10' => ($order->total_amount/100).'元',
                ]
            ]);
        }

//        oVxTzvgYlGktIDZXwfLMLQ01Tr5s 自己 oVxTzvhu4gs4RyCt4kJDRWOgsUXw周璐 oVxTzvgu4XnI5F2aF7DcrbJIp5fI 间行 oVxTzvl8DYQblYmLCIK3UXW_8jAY 落雨桐
//        $renyuan = ['o481Y5AtcbnOQef1vc4rL4TwYpDU', 'oVxTzvgYlGktIDZXwfLMLQ01Tr5s']; //周璐

        if($res['errcode'] == 0) return apiReturn(200,'发送成功');
        return apiReturn($res['errcode'],$res['errmsg']);
    }

    public function getInfo()
    {
        $info =
        [
        'code'=> 200,
        'msg'=> "请求成功",
        'data'=> [
        'txtList'=> [
        [
        'content'=> "“十三五”国家重点图书出版规划项目<br/>2016年主题出版重点出版物选题<br/>红军长征年谱长编&nbsp;中卷<br/>陈宇&nbsp;编著<br/>蓝天出版社<br/>",
        'filename'=> "A00001_00"
        ],
        [
        'content'=> "?1935年795<br/>却一直向西进入云南。蒋介石又急忙把吴奇伟、周浑元、王家烈纵队调往宣威、威宁一带，企图阻截红军主力北上。中央红军继续西进，威胁昆明，迫使龙云收缩力量守卫昆明。红军则乘机转向北进，抢渡金沙江。这时蒋介石才弄清红军的意图，但为时已晚。当国民党军赶至金沙江边时，中央红军早已全部渡过了金沙江。<br/>《开阳县志稿?军事?祸变》记载1935年“四月，红军全部复由息烽经白马洞、洋水、两流泉到石牛。维时县城守兵不过千余，且系将骄卒惰，未受军事教育之旧军队，器械更窳败不堪，闻风已觉胆落。赖国军五十三军星驰增援，红军乃由窑上坪出何家庄抵枇杷哨趋底窝坝以达二区羊场，连营纵横二三十里，烽火弥天。信宿①由上马场向省城方面走。”<br/>5月<br/>5月1日毛泽东等到达金沙江边小仓街后，经勘察，决定在洪门渡、龙街、皎平渡附近渡金沙江。红1军团为左纵队，经禄劝、武定、元谋直取龙街。红3军团为右纵队，经思力坝、马鹿塘夺取洪门渡。红5军团和军委纵队为中央纵队，经小仓街、龙海塘、石板河抢夺皎平渡。<br/>军委（中央）纵队、干部团及红5军团从寻甸柯渡出发，经鸡街进入禄劝县，再经三哨、二哨、头哨到达小仓。当夜，干部团前卫连赶到皎平渡，在当地船工协助下，获得两支木船，并渡过金沙江，消灭北岸国民党守军一个排和税卡——厘金局，控制了渡口两岸。<br/>红1军团为左路从柯渡出发，经富民向西之金沙江龙街急进。红1师巧取禄劝，并派1个团向武定攻击前进。<br/>红3军团从寻甸鸡街出发，进至禄劝九龙，开展群众工作。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月一日（晴）。六时出发，王与刘去二十三分队。自随六分队在九时出发，经新老鸡街，三、二头哨，普渡河过铁索桥，至小仓街宿营。二十四时才到宿营地，行程约百里。是日生病。”<br/>红1军团部《长征经过地点及里程表》：“五月一日。冷水沟→奇马。一百四十里。”<br/>红1军团童小鹏《日记》：“五月一日。为争取更有力于革命发展的地区——<br/>①信宿，古文指连宿两夜。<br/>",
        'filename'=> "T00795_00"
        ],
        [
        'content'=> "?796红军长征年谱长编（中卷）<br/>四川，取得与四方面军的汇合，中央已决定渡过长江的本源——金沙江。今天起向江边龙街前进，拟在该地渡过，至五号赶到该地附近，每天行程约七十里以上。”<br/>红1军团萧锋《日记》：“五月一日（晴）。晨七时出发，同金行生一道跟二团三营行军，经九河、张家村，过螳螂河、白花山、罗次，最后到元永井宿营，行程九十里。一连在大段休息时，七班战士打坏群众四个土碗，胡政指赔偿两角钱。很多群众感动地说，红军好老总，你打坏个碗还赔钱，国民党打坏一千个也不赔钱。这里离昆明仍较近，敌机沿途轰炸很厉害，我今天中途在白花山又几乎被炸死。在苦战中庆祝‘五一’国际劳动节。正好我们威逼昆明，吓坏了蒋介石、龙云，打乱了敌人的战略部署。敌人买来很多英国子弹，都是炸子，打伤一处，要伤好大一个洞。我们讨厌这种英国子弹，痛恨军阀和帝国主义！”<br/>红5军团陈伯钧《日记》：“五月一日（劳动节）（阴、稍晴、又微雨）。行军——由可郎经沙郎、甸尾到可〔柯〕渡街，约二十五里。各友军尚未按时到达目的地，所以我们今日留可〔柯〕渡街一天迟滞追敌。晚去三十九团参加排以上干部会，传达目前行动及检阅沙寨战斗问题。”<br/>红9军团林伟《日记》：“五月一日（晴）。今天是‘五一’国际劳动节，全世界的劳动人民都纪念自己伟大的节日。中国工农红军是中国工人阶级自己的队伍，为无产阶级的解放而奋斗。现在正进军云南，我们要以战斗的精神来纪念这个日子。九点钟，我们离开了宣威，向会泽前进。走到镇海的高山上远眺，宣威附近一片平原，远处有山。我军团经过周末的扩军，现在的行军队伍加长了许多。下午五时，我们进到双和坝宿营。”<br/>红4方面军第30军第89师击溃敌陶凯部的前进部队，占领墩上。<br/>红6军团王恩茂《日记》：“五月一日。因敌机四月三十日在象耳桥轰炸，为隐蔽敌机起见，故移至唐家峪。”<br/>陕甘边红军第26军第42师第3团、第27军第84师及西北抗日义勇军在赤源县（今子长县）白庙岔会师。4日，西北军委前敌总指挥部成立，刘志丹兼总指挥，高岗兼政治委员。此后，陕北、陕甘红军通称西北红军。<br/>云南境内国民党第2路军薛岳总部在马龙驻扎。第1纵队吴其伟部在易古草鞋桥之线，第36军周浑元部在寻甸七星桥之线，第13师万耀煌部在那金所附近，第3纵队孙渡部主力向昆明前进，一部向富民转进。<br/>张学良飞贵阳向蒋介石报告检阅豫陕驻军情况。<br/>",
        'filename'=> "T00796_00"
        ],
        [
        'content'=> "?1935年797<br/>蒋介石给云南省政府主席兼“剿匪”第2路军总司令龙云发出《关于第2、第3纵队向会泽、禄劝转进的手令》：“限即到。云南龙总司令勋鉴：全戌机电①悉。胜密。中②意匪之窜向虽未判明以前，而我军部署不妨预定如下：一、第二纵队即由寻甸附近向会泽转进，而以巧家与会泽间之金沙江南岸为目标。如匪果向元、武③，则该纵队即由会泽向西转进兜剿。二、第三纵队即抽六团以上兵力，立向禄劝与武定分途前进，且须星夜兼程，必超出于匪先头部队之前，迎头堵剿。而以其余两旅，协同第一纵队分左、右两路齐头紧〔跟〕追剿，此无论匪徒往西往北，皆不至被其偷窜，务期歼灭于南岸地区也。又万一匪窜元、武以西地〔区〕，应如何准备处置，亦望详计电告。”<br/>蒋介石给国民党云南省政府主席兼“剿匪军”第2路军总司令龙云发出《关于加强金沙江江防电》④：“限即到。云南龙总司令：舟密。朱、毛残匪企图窜渡金沙江无疑。查贵境巧家至永仁一段江防至为重要，应不分省界，左岸由刘自乾⑤军完全负责布防，右岸应由贵军对匪来方向，亦一同布防，以期周密，并须切取联络。除令刘总指挥饬属遵行外，希查照办理，饬属就近确取联络，并将兵力配备情形详告为要。”<br/>国民党云南省昭通县长卢金锡向龙云报告《红军进占会泽情况》电：“特急。昆明总司令龙、总指挥禄钧鉴：安密……即闻赵区长云，共匪二千余，出者海经三道沟江（3）日抵会泽，用炮攻击，城内抵御约一时半，人民惊惶，开城欢迎。县长及刘二老爷被擒，城内死四人，匪死三人。匪将城内谷米散发贫民后，于支日晚向省方前进……昭通县长卢金锡叩。鱼（6日）未印。”<br/>5月2日中央红军军委纵队到达团街。中共中央在团街召开干部会议，由博古传达中央政治局渡金沙江的决定。<br/>①全戌机电，是龙云1935年4月30日给蒋介石的电报。电报主要内容是：“匪仍在西北之间，而窜西窜北，实尚未明显。在此一二日内，职意各部队除追击者继续追击外，其尚在曲〔靖〕、沾〔益〕、威〔宁〕各县之部队，似宜暂驻原地，以观匪之行动如何，再先〔行〕决定。”而薛岳于4月30日致电蒋介石则称：“我军应穷追，勿使其有喘息之余地而歼灭之于金沙江南岸，免使滋蔓滇西，为患将来。只以吴〔奇伟〕纵队六团之兵力截追，似嫌力量单薄。故职意似拟吴、周两部协同穷追，较易收效。抱冰部计陷日可到宣威，俟收罗匪踪后，亦可向会泽堵剿。又查曲靖城防坚固，且匪已西窜，似无留预〔备〕队必要。”<br/>②中，指蒋中正。<br/>③元、武，指云南省元谋、武定2县。<br/>④该电龙云于1935年5月2日下午6时45分收到。<br/>⑤刘自乾，即刘文辉。<br/>",
        'filename'=> "T00797_00"
        ],
        [
        'content'=> "?798红军长征年谱长编（中卷）<br/>朱德发出《关于我军分由龙街、洪门口、绞〔皎〕平渡准备渡江》致第3、第5军团首长彭德怀、杨尚昆、董振堂、李卓然的电报，指示：“甲、据调查，会理只刘文辉①部三百余人。昆明通会理道路除走元谋、龙街②大道渡江外，另有两条经商路：一经腮坝、猴街、卡子塘、马鹿塘、大松树③到洪门口④渡江（腮坝到洪门口约二百九十里），一条经小仓街、龙海塘、石板河⑤、绞〔皎〕西到绞平渡⑥渡江。洪门口、绞平渡有渡船各二，每船可容二十余人或马六七匹。河窄处十余丈，流急。宽处三十余丈，流缓，有架桥可能。西岸山陡无竹，但南岸有木头可作木排。万一架桥不成，可漕渡。洪门口下游之白滩、小倮及左上游纳平、鲁车均有渡船。乙、我一军团决经武定、元谋由龙街渡江，并引敌人向西，军委纵队以刘（伯承）参谋长率干部团一个营及工兵，带二十九分队赶于四号上午到绞平渡架桥，并侦察其上游各渡河点。丙、我十三团应经老务营、江边渡普渡河（派工兵先行架桥），转入通马鹿塘道上，亦限四号上午赶到洪门口架桥，侦察其下游各渡河点，并与刘（伯承）参谋长密切取联络，每日至少两次电告架桥情形。丁、三军团主力随十三团后前进，其后卫团在可郎之敌向五军团尾追时，加紧左侧后警戒。戊、三军团全部应于大松树以前带足三天米粮。”⑦<br/>中央红军前卫连在当地群众帮助下，又找到4支木船，为红军渡江提供了可靠保证。红1军团向元谋进发。红3军团经教务营、文林村，到大木克村一带宿营。红军在大木克村张有功家墙壁上画了《工农暴动起来，实行打土豪、分田地》《红军消灭地主阶级，反对富农剥削》两幅革命宣传画。<br/>红2师先头部队协同红1师1个团占领武定。红1军团袭占禄劝、武定两座县城，击毙国民党禄劝县长何泽周、团总周铁城、武定县长周自得。<br/>①四川军阀之一，时任国民党军第24军军长兼川康边防军总指挥，辖4个师及西康屯垦司令部，共兵力27个团；此时驻会理部队为该部第12旅刘元瑭部。<br/>②龙街，今名江边，属云南省元谋县，为金沙江右（南）岸重要渡口。以下同。<br/>③腮坝、猴街、卡子塘、马鹿塘、大松树，均属云南省今禄劝彝族苗族自治县。其中猴街，今名中屏；马鹿塘，今名马鹿。以下同。<br/>④洪门口，原名红门沟，今名河门口，时属四川省会理县，今属会东县，位于金沙江左（北）岸。<br/>⑤小仓街、龙海塘、石板河，均属云南省今禄劝彝族苗族自治县。其中小仓街今名小仓，龙海塘今名龙海。以下同。<br/>⑥绞西，即交西，今名皎西；绞平渡，又称绞车渡，即今皎平附近之金沙江右（南）岸渡口。均属云南省今禄劝彝族苗族自治县。以下同。<br/>⑦本电报档案原稿文末署“廿号”，有误；据本电报档案原稿左上方所注发电日期及电文内容，应为5月2日。<br/>",
        'filename'=> "T00798_00"
        ],
        [
        'content'=> "?1935年799<br/>红军总部（中革军委无线电台）伍云甫《日记》“五月二日（晴）。由小仓街出发，至团街宿营（五十里）。是日开干部会，博古报告渡江决定①。三局运输队决定交四科。”<br/>红1军团部《长征经过地点及里程表》：“五月二日。奇马→花桥。一百里。”<br/>红1军团萧锋《日记》：“五月二日（晴）。晨七时出发，经坝街过龙川河，再过果拉、黑井、猫街、马厂到新街宿营，行程九十里。各团扩红很多，昨天由昆明逃出四名蒋军士兵，其中三个人志愿参加红军，受到我们的欢迎。我跟二团政委邓华行军，谈到如何抓好七连支部工作的问题。该连连长和政指团结较好，有希望把支部工作做好。”<br/>红5军团陈伯钧《日记》：“五月二日（晴）。行军——由可渡街经新鸡街、怕那、普渡河、者括到小仓街，约百里。今日出发较晏。山陡路狭，行动迟缓，结果夜二十一时以后才全部到宿营地。连日来只今日道路较差。夜探得金沙江沿河两岸无大敌，只滩险水急，船只太少。不知架桥程度怎样？”<br/>红9军团进占东川（今会泽）县城。<br/>罗炳辉、何长工发出《关于红9军团占领东川、拟到蒙姑渡江》致朱德电，报告：“甲、八时先头抵东川城②边，有团兵及各□团中兵千余人死守。十一时我攻一次未奏效，准备黄昏〔续攻〕。十八时有城内外伸〔绅〕士、群众要求要县长开城门，团兵不愿抵抗，我军已于黄昏时扒入城占领，正在收缴枪支，详情另告。乙、宣威、东川一带群众对共产党红军很有认识，沿途扩红，群众欢迎拥护我们，在急行军中扩大二百以上。扩红二千，筹款数万是有把握，这种条件很难找。丙、明三日布置：以主力向金沙江前进，拟到蒙古③渡江，控置〔制〕渡河点。架设浮桥队来称，船已封过河对岸，不准人来往。以一个营、政治部留人筹款扩红，如无紧急敌情，四日下午向蒙古跟进渡江。丁、周纵队到达何地，盼告。照〔昭〕通只有敌一个营，江底④铁索桥昨二日已拆毁，防我军前进。”<br/>红9军团包围东川（今会泽）县城，守城民团开城投降，红9军团缴枪数百支。<br/>①渡江决定，指决定渡金沙江。<br/>②即云南省会泽县当时治所，1958年东川城及其附近地区改设为市，会泽县人民政府移驻钟屏镇。以下同。<br/>③应为蒙姑，属云南省会泽县，位于金沙江右（东）岸。以下同。<br/>④江底，属云南省鲁甸县，位于牛栏江（金沙江支流）右（北）岸。以下同。<br/>",
        'filename'=> "T00799_00"
        ],
        [
        'content'=> "?800红军长征年谱长编（中卷）<br/>红9军团林伟《日记》：“五月二日（晴）。今天我们离开了叙昆公路，上山走小路向西前进，下午六时赶到镇海县城（这是会泽分县）宿营。这里名为县城，实则是一个小镇，处在会泽、宣威之间的山岭高处。这里出产酸醋，成名国内。酸醋的确又咸又酸，名不虚传。王透部长还给我们大家摆了一个名醋掌故的可笑‘龙门阵’。他说，在云南遍传着这个故事：说前清有两个老秀才，在古历十二月三十日的晚上，两人同吸鸦片时，为了明天是大年初一要讲吉利的话，就酒兴咏诗。一老秀才咏：‘今年运气好晦气少不得打官司养猪好像火老鼠只只瘟做酒缸缸好做醋滴滴酸。’但是没有标点符号，本来是好话，因为未标点符号，反而念成最不吉利的话了，弄得大家嬉笑不止。从这位老秀才的诗词中，反映了云南古时的风俗和物产，贯于打官司，养猪很多很大，做火腿闻名，传染病的火老鼠很多，云南盛产鲜酒酸醋。我一、三、五军团昨日已连占禄劝、武定，前锋进占元谋。大军突然折转往北，向金沙江前进。”<br/>红6军团王恩茂《日记》：“五月二日。仍在唐家略。”<br/>红4方面军第9军、第30军主力从蔡家咀、乱石窖抢渡湔江，击溃敌第28军杨宗礼第15旅，3日攻占大垭口。<br/>国民党云南省政府主席兼“剿匪军”第2路军总司令龙云给蒋介石、薛岳、李韫珩发出《关于中央红军已破译国民党军密码事电》①“急。贵阳蒋委员长钧鉴，曲靖薛总指挥、宣威李军长勋鉴：竭密。顷在羊街拿获共匪参谋陈仲山一名，瑞金人，现解省审讯。于其身上搜出情报一束，系我军各方往来密电，皆翻译成文。无怪其视我军存动甚为明瞭〔了〕，知所趋避。现正研究其译电，系有我方电码本，抑以他种技术译出，并此后宜用何法通信，方免泄漏。特先报闻，详情续达。”<br/>下午2时，国民党“四川剿匪军第6路总指挥部”王缵绪于绵阳丰谷井发出《关于向两河口进攻的命令》②：“一、匪情及友军情况详抄委员长蒋艳未川行参战电暨总司令刘③俭午电。二、本路军决以肃清涪江左岸寻匪主力迅速猛烈痛击，以摧破其战斗能力，打断南下之企图为目的，节次向两河口、窦团〔圖〕山、重华堰进攻，并接通<br/>①原件系龙云手稿，于1935年5月2日午后4时译出。<br/>②引自国民党《四川剿匪军第6路总指挥部彰明战役战斗详报》。刘湘收到此命令后，于1935年5月4日发支午电给王缵绪，认为“攻击部署尚属可行”，并指示：“匪似有由北川南进或西趋茂县之企图。拟将过河之匪驱逐。邓军只要能将匪之先头截堵，王总所部由后尾猛攻，必有相当成功。”<br/>③刘，指刘湘。俭午电及艳未川行参战电，参见1935年4月28日《贺国光关于南北夹击红4方面军于涪江嘉陵江间地区的部署》电报。<br/>",
        'filename'=> "T00800_00"
        ],
        [
        'content'=> "?1935年801<br/>江油向西横扫，以期乘势歼灭之。三、兹规定各部任务如次：1.许纵队（尧卿）①全部并指挥邓和②部为第一纵队，经太平楼、白庙子、新店子向两河口进剿。但邓和部随该纵队右后跟进，务确实掩护翼侧为要。2.陈基③旅并指挥王纯一④旅及张竭诚⑤旅为第二纵队，以大部经新桥场、新场、大堰塘，向中坝及江油进剿，以小部沿涪江左岸搜索前进。3.两纵队之战斗地境：自沉香铺经忠兴镇、贯山场、新店子、两河口连线属之，线上归许纵队。4.田钟毅⑥、佟毅⑦两旅为预备队，经沉香铺、忠兴场、贯山场，在第一线中央后方跟进。注意不失时机策应为要。5.我攻击进展如遇匪主力顽抗时，应逐段构筑碉堡工事，选择据点，节次推进，以期稳妥。6.彭焕章⑧旅暂驻小涧沟待命。7.刘兆藜⑨、于渊⑩、章安平?旅仍驻原地，对安、绵?方面战况随时注意，并具报为要。8.余在丰谷井总指挥部。”<br/>5月3日中央红军干部团接受了抢夺皎平渡渡口的任务后，决定以2营为先遣支队，5连为前卫连，不惜一切代价，尽可能迅速地抢夺渡口，掩护后续部队渡江，前卫连在副营长霍海元、连长萧应棠带领下，提前于是日晚在皎平渡抢渡金沙江成功。渡江的说法有两种，据萧应棠回忆：因皎平渡对岸的国民党军乘船过来探听情况，不知道是躲在哪里抽大烟去了，还是到哪里敲诈老百姓去了，送他们的船一直等在江边，红军利用这只船，载1排、2排首先过江，消灭了对岸国民党军，占领渡口；另一种说法是，据老船工张朝满等人回忆：红军一支24人的先头部队，赶到皎平渡后，找到船工张朝寿，把藏在笔架山马头湾子的一只废船连夜修好，渡过对岸。<br/>①许尧卿，即许绍宗，任国民党军第21军第3师师长，原属唐式遵的“四川剿匪军”第5路军。<br/>②邓和，任国民党军第21军警备第2路司令，后编入王缵绪的“四川剿匪军”第6路第1纵队。<br/>③陈基，任国民党军第21军第2师第5旅旅长，编入“四川剿匪军”第6路第1纵队。此时的第2纵队为临时战斗序列。<br/>④王纯一，任国民党军第21军第2师第4旅旅长，编入“四川剿匪军”第6路第1纵队。<br/>⑤张竭诚，任国民党军第21军独立第1旅旅长，编入“四川剿匪军”第6路第2纵队。<br/>⑥田钟毅，任国民党军第21军独立第2旅旅长，后改称独立第5旅，编入“四川剿匪军”第6路第2纵队。<br/>⑦佟毅，任国民党军第21军独立第3旅旅长，编入“四川剿匪军”第6路第1纵队。<br/>⑧彭焕章，任国民党军第21军第1师第1旅旅长，编入“四川剿匪军”第6路第1纵队。<br/>⑨刘兆藜，任国民党军第21军第1师第3旅旅长，编入“四川剿匪军”第6路第2纵队。<br/>⑩于渊，中共秘密党员，时任国民党军第21军教导师第2旅旅长，编入“四川剿匪军”第6路第2纵队。在红军发起进攻时，率队撤退，使国民党军的防线出现缺口，并丟下大批武器装备留给红军。<br/>?章安平，任国民党军第21军教导师第1旅旅长，编入“四川剿匪军”第6路第2纵队。<br/>?安、绵，指四川省安县、绵阳（今为市）县。<br/>",
        'filename'=> "T00801_00"
        ],
        [
        'content'=> "?802红军长征年谱长编（中卷）<br/>红1师再占元谋，其先遣部队进至龙街，抢占渡口，搜集渡船。<br/>张闻天、毛泽东等中央领导人在红军干部团、军委纵队后在5日前亦一同陆续过金沙江。过江部队奉命抢占通安州。在距皎平渡20公里处，与国民党川军刘文辉部遭遇，歼其大部，保证了红军顺利渡江。红5军团奉命在石板河（现坎登村）一带布防，阻击尾追之国民党军。红1军团一部进占元谋县城，并在马头山白酒坡布防，阻击尾追而来的国民党滇军；另一部向龙街渡急进。红3军团进至禄劝撒营盘一带。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月三日（晴）。由团街经龙海圹、马初塘、二道河至坎磴。（六十里）。”<br/>红1军团部《长征经过地点及里程表》：“五月三日。花桥→马鞍山→五渡河。九十里。”<br/>红1军团萧锋《日记》：“五月三日（阴、雾）。晨七时出发，到长簧宿营，行程一百二十里。沿途利用宣传棚积极宣传：天下穷人是一家，只有团结才有力量；红军是共产党、毛主席领导的工农队伍，打土豪分田地，官兵平等，军民亲如兄弟。我师一团已占姚安，二团过七街、六苴、宜就、中和，到永兴渡口露营。传三军团在洪门渡江，九军团在巧家缴获十万斤盐和许多宣威火腿，分给群众。师部总结月余来滇、黔行动。这个大圈子转得可妙，把薛、吴、龙、王等军阀都甩在后面。大家都说，毛主席、周副主席、朱总司令的棋子下得好。起初，有人对东奔西转、南下北上有意见。现在，大家都更明白了，转是为了甩开敌人，保存红军实力。我们青年人转来转去无所谓，主要是年老体弱的同志们辛苦。大家为了革命，再苦也无所畏惧。这里产甘蔗，糖饼很多，老百姓拿来当菜吃。打土豪后，举行会餐，吃火腿、腊肉，大家吃得很香。”<br/>红5军团陈伯钧《日记》：“五月三日（晴、稍阴）。行军——由小仓街经大、小鲁左、大小鲁遮到团街，约四十五里。今日追敌有可能向禄劝前进或随我尾追，我们到团街前，即向来路及通劝禄方向均派出二十里外的侦察游击部队，并以一营在团街西南山地构筑野战工事，准备遏止追敌。军委今日拨我步枪弹约六千发。干部团可堪任连长之学员九名。近来三十七团干部感觉疲劳，有的不愿担任后卫任务，深为错误，今日首长特召集该团负责同志教育之。”<br/>红9军团林伟《日记》：“五月三日（晴）。天气炎热，在行军中大家都撑着各种各样的伞，十分好看。沿途均缺水，干热得很。我们从高处远望，丛山起伏，<br/>",
        'filename'=> "T00802_00"
        ],
        [
        'content'=> "?1935年803<br/>蔓延数百里，金沙江沿江地带峰烟弥漫。这是我们袓国的西南，毗连安南①、缅甸。我们回想起八月间在福州附近起程，经过十个月的日夜不分、晴雨不分的行军，越过无数田畴、江河、山峦和僻野，风餐露宿，度过了无数饥饿疲惫的艰苦日子。我们走过了袓国东西南部，足迹几乎遍及大江以南，行程约一万三千里。现在，我们来到了云南东北部，向金沙江前进。我军原计划在宜宾、合江之间渡过长江进入四川的意图，现在我们就要从这里实现。罗炳辉军团长，当年在滇军中任团长时，曾长期驻防东川，对此地情况极为洞悉。今天，他亲自率七团在我军先头行进，好看情况相机袭占东川。现在，国民党中央军距我有三四日行程之远，我们在炎热的天气里行军，上午十点到达东川。东川（又名会泽县）为前清一个府治，故名叫东川府。这里的人烟非常稠密，商业繁盛，交通也便利，向南可经功山、寻甸、羊街到昆明。北去可经江底、鲁甸、昭通到宜宾的新建公路，汽车时有来往，骡马成群地运输川盐、蔗糖等物不绝而途。东川一带的矿藏极为丰富，出产煤、铁，还有著名的铜、锰、钨等矿产。这里距金沙只有九十里。东川没有驻防的滇军，只有地方反动保安团、公安队及城周的民团等，有人枪八百多。这个府的县长杨茂章是大地主，极端反动，系一大学生，曾在日本留过学。此次闻我红军入滇，就竭力加强城内的保安队训练，并强迫调集四周各区的民团，摊派壮丁约六千多人入城守备。我军进抵东川后，即在北关和东关集结休息。天气很热，重机枪连占领北侧高地，曾向城内公安局附近射击。只看见四周城墙上民团密布，单响步枪、九响毛瑟、十三太保、土铳、鸟枪、刀矛、藤盾无所不有，各个城角上还飘扬着各式旗帜，真有些像古时打仗的模样。我宣传队由侦察连掩护，接近城垣进行喊话宣传，要他们自动开城，不要惊慌，我是工农红军，纪律严明，秋毫无犯。并以罗军团长的名义写信递进城内，劝其和平开城，可以从宽处理，如要抵抗，使红军受到损失，待打进城去将从严处治。十二时许，由于城内反动派之间产生了两种意见之争，反动县长杨茂章要坚决扼守县城，另一派是当地商会及一些士绅商人，他们害怕红军打进，同时又感到认识罗炳辉，主张主动开城迎接红军入城和平解放为好，两派斗争激烈。我们仍在东郊吃午饭休息，已准备入晚离此过金沙。同时，接电说蒋匪中央军一部已进到宣威附近。我们正在午睡休息，不料我围东城的七团来电说，城内有一个代表团十余人要出来晋见罗炳辉将军，商谈和平开城问题。这样一来，军团首<br/>①即越南。<br/>",
        'filename'=> "T00803_00"
        ],
        [
        'content'=> "?804 红军长征年谱长编（中卷）<br/>长就立即改变了原来的计划，令后卫九团退回十五里的高地向榕峰方向警戒；决定进城，利用这个机会，进行扩军筹款工作。同时派一个营先向金沙江前进，调查该方面的渡江条件。代表团手执白旗，在城楼上用绳梯吊下，来到了我们军团司令部。罗、何、郭、黄首长，还有王透部长、刘雄武科长等人接见了他们。罗劝说他们开城，我军纪律良好，大家仍照常安居，不必惊慌，我们只惩治反动县长杨茂章一人，其他官员一概不咎。代表团的人一看都是云南人，他们请求红军不要进城，可在城关驻下，要多少经费粮草，一定按时照数送出城来，保证遣散民团和壮丁返乡。何政委说不行，要求两点钟就开城，否则就攻城。代表说他们不敢作主，需回城里商议一下再定，派了六个人进城。约三点多钟，他们又出来说，请求六点钟开城。他们的企图很明显，到那时所有的反动分子都藏匿好了，枪支也埋好了，拖到天晚，这样大的城市，时间又紧，使我们一定处理不好。谈了许久，决定五点钟开城，谈定后他们都回城里去了。我军积极准备攻城的工作，做好长梯子，防其故意拖延时间，到时不开城我们仍准备进攻。命七、八两团准备攻城器材，到时攻击。教导大队、侦察连、特务连、工兵连负责警卫军团直属队。八团担任西关攻击，七团在北城。部队就按此计划，晚饭后迅即向指定方向运动，大家都精神抖擞，情绪高涨，准备晚上进入东川。我们四点多就吃过晚饭，政治部忙碌异常，组织群众工作组、筹款工作组、扩兵工作组，并赶印‘工农红军告东川工农劳苦群众书’和筹款收据。我重机枪连，迫击炮连仍占领北面高地，控制东北地区。到了六点多钟，天渐渐黑，他们据守东门的保安团才撤走。我们即从东门入城，参谋处的人员随同首长登上东北角上较高的钟鼓楼，这里是高处，可以俯视全城，便于指挥，以防万一。但西门尚未开，六时五十分，我九团因敌未按时间开，即发起攻击，迅速占领城墙，打开城门，向公安局大街前进。首长一看情况不好，曾发出号令，命九团停止攻击，但城垣太长，西门听不到号音。此时，他们已打到西门里大教场上，上千的保安团、公安队就在那里顺从地集体缴械了，伤亡数人。七点十分，全城枪声始停，各街道的人们都到街上来，遍放爆竹，点燃了明亮的汽灯，如同过年时的情景。被杨茂章由乡下强迫来的几千青壮丁，此时都纷纷丢弃了鸟枪、梭镖、菜刀向各处集合。事前商会局曾布置要全城商民一律要打开店门，手执彩旗，在街旁欢迎红军入城。县衙门里的人们早已逃匿一空。我军各分队按事先指定的位置，迅速地分头占领电报局、汽车站、公安局、民团总部等地，到九点多钟才慢慢安定下来。我们是晚就在城里住宿了一夜。”<br/>",
        'filename'=> "T00804_00"
        ],
        [
        'content'=> "?1935年805<br/>红6军团王恩茂《日记》：“五月三日。下午四时半出发，转至江垭。”<br/>蒋介石给国民党云南省政府主席兼“剿匪军”第2路军总司令龙云发出《关于重新编印密码事电》①“特急。云南龙总司令：冬未机电悉。良密。我军电文被匪窃译，实属严重问题。此事只有将另行编印之密码多备，每日调换。凡每一密码，在一星期中至多只用一次，按日换用。密码每部各发十种密本，每日换一种，每十日再另发十种密码。一面如气候良佳，用飞机通信以补之。请兄就近编发密本，照此办理。盼复。”<br/>蒋介石给云南省政府主席兼“剿匪军”第2路军总司令龙云转薛岳《关于追击中央红军部署电》：“限即到。云南龙总司令：冬酉机电②悉。良密。伯陵③冬亥、江辰电称：甲、伪一军团陷日由嵩明向富民方向，伪三军团陷日由寻甸向禄劝方向。判断伪中央及伪五军团必向武定急窜。乙、梧生④江日起由嵩明尾匪急追。万⑤师归梧生指挥，江日起由可郎以西地区向禄劝尾匪急追。抱冰⑥江日起由跌那村向会泽急进，准支日到达截剿。乾初⑦支日起可由光头坡经新村街，沿金沙江沿岸地区向元谋兜剿。职率温⑧旅支日起由马龙向易古、杨林、富民前进。等语。除已令薛⑨总指挥尔后直接请示我兄外，特复。”<br/>①1935年5月4日，蒋介石又发支申贵参手令给龙云：“查我军往来电文多为匪方窃译，危险堪虞，耻莫甚焉。特手订通讯注意事项如下：一、此后口令信号，不必由军委会或行营颁发，可由当地最高军事机关制发；二、电报首尾均须用代名词，对于呼号尤须用代名词；三、后方通讯，一律送最高机关批发。最高机关应指派负责可靠干员专司此事；四、重要地名及各级主官姓名、部队番号一律用代名词；五、有有线地方，所有电文一律用有线电拍发；六、须综印多备密码，每日调换使用。凡每一密码在一星期中，至多只用一次，换日换用。密码每部各发十种，密本每日换一种，每十日再另发十种密码；七、气候良好时，可利用飞机通讯；八、各部队长官与参谋长，以后密电译法，应必由其主官与参谋长检核后再发，且发电时必要专〔门〕派定得力参谋监视发出，尤不许其各电台互相通报，擅自问话；九、如不遵照新定人名、地点、时日各种代名词译发，而仍照老法发电，其各主官与参谋长亦漫不加检查审核，迳由其译电员任意译发，则一经查出，当以其参谋长泄机通匪论罪，而其主官亦以懈怠失职论罪。上九项，仰即切实奉行，勿忽。”<br/>②冬酉机电，是龙云给蒋介石电。电报内容是：第3纵队已兼程超出红军之先头截击。第1、第2纵队由嵩明、寻甸跟踪尾追，预计在禄劝、武定间必有激战。<br/>③伯陵，即薛岳。<br/>④梧生，即吴奇伟。<br/>⑤万，指万耀煌。<br/>⑥抱冰，即李韫珩。<br/>⑦乾初，即周浑元。<br/>⑧温，指温良。<br/>⑨薛，指薛岳。<br/>",
        'filename'=> "T00805_00"
        ],
        [
        'content'=> "?806红军长征年谱长编（中卷）<br/>国民党军事委员会委员长行营参谋团主任贺国光发出《关于修筑碉堡封锁线防堵中央红军与红4方面军会师的命令》①=>“一、雅安由刘文辉负责，赶筑广大之飞机场，限月底完成。其场幅或六百米见方，或八百米见方均可。二、松、理、茂、懋及雅、宁②一西昌③一各属地区，应择战略、战术上之各线、各点，如雷波、昭觉至西昌，至会理，与沿大渡河、雅河各线，及各重要城镇、隘路口，均须赶筑碉堡工事。三、对上列各地区之土番夷人，应速派员分往宣传其土官、土司，使其号召，为我所用，并令其派兵协助防剿及坚壁清野。四、松、理、茂、懋地区归邓锡侯，雅、宁各属归刘文辉负责办理。五、灌县及水闸，应赶筑碉堡，派兵驻守。六、着别动队总队长康泽，立即派队分往上列各地区，负责指导组织民众及筑碉事宜。”<br/>5月3日~9日红军总参谋长刘伯承率军委纵队干部团一部，由禄劝县团街向金沙江皎平渡急进。3日晚，抢占皎平渡，第3营（政治营）1个连由皎平渡偷渡成功，占领了金沙江北岸制高点，完全控制渡口的南北两岸，接着北进通安地区。当晚，干部团过江后，以一部控制渡口，主力在通安地区打退国民党军的反扑，前出至会理地区。毛泽东、朱德、周恩来等率领军委纵队赶到皎平渡过江，在北岸组成渡江指挥部。<br/>红1军团抢占龙街渡口，因江宽流急，又加国民党军飞机轰炸骚扰，架设浮桥未成。红3军团抢占洪门渡口，所得渡船很少，此处又不能架桥，并得悉国民党军万耀煌④部要保存实力往回收缩的情况。于是，中革军委决定：除留红3军团之第13团在洪门继续渡江外，红1军团、红3军团主力全部改由皎平渡过江。至9日，中央红军第1、第3、第5军团在皎平渡利用7条渡船，全部渡过金沙江。在滇、黔边单独行动的红9军团也在东川（今会泽）以西的树节、盐井坪地区渡过金沙江。至此，中央红军把国民党军数十万“追剿”部队全部甩在金沙江以南，终于摆脱了数十万国民党军的围追堵截，实现了渡江北上的意图，取得了战略转移中具有决定意义的胜利。<br/>5月4日刘伯承随干部团先遣营过江后，察看了渡口，水深流急，无法架桥。在船民张朝寿等人的帮助下，先后找到了6只船（另一种说法为7只，即包括1只能乘<br/>①引自《国民政府军事委员会委员长行营参谋团大事记》。<br/>②松、理、茂、懋及雅、宁，指四川省松潘、理番（今理县）、茂县、懋功（今小金）及雅安（今为市）、冕宁各县。<br/>③西昌，今四川省西昌市。<br/>④万耀煌，时任国民党“追剿”军第2路军第2纵队第13师师长。<br/>",
        'filename'=> "T00806_00"
        ],
        [
        'content'=> "?1935年807<br/>六七人的打鱼船）。刘伯承在江边一个山洞里设渡河司令部，制定渡河守则，昼夜不停地组织人马渡江。同时，向朱德总司令发报：“绞（皎）平有船六只，每日夜能渡一万人，军委纵队五日可渡完。”①<br/>中央红军大部开始由皎平渡渡江，一部由洪门渡口渡江。军委纵队从皎平渡过金沙江。红1军团一部到达龙街渡。渡口船只被销毁。红军在龙街渡上游5华里的石花滩架设浮桥，因江宽水急，加之国民党军飞机袭扰，架桥没有成功。红军继续设法渡江。红1军团野战医院在鲁车过江。<br/>红3军团先头团第13团抵达金沙江畔的洪门渡，找到1艘木船，抢渡金沙江。余部在洪门渡架设浮桥，因江流涌急，未能成功。此时，国民党军担心红军抢渡金沙江，在金沙江几百里的防线上，控制了大小渡口，船只都被拉到北岸，断绝了两岸交通。由于洪门渡水流过急，红3军团难于全部从此地渡江，除留第13团继续在此渡江夕卜，其余部队赶赴皎平渡。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月四日（晴）。由坎磴经石板河、长麦地、绞溪至擦不丹（七十里）。召集电话队干部会，队长罗正兴撤职，四班长谢汉兴撤职，送保卫局究办。在途中（绞溪）将运输队交四局。”<br/>红1军团部《长征经过地点及里程表》：“五月四日。五渡河→下七里。八十里。”红1军团部《长征经过的名山著水关隘封锁线表》：“五月四日。云南，控制金沙江渡口（龙街）。（我一师先进到龙街作架桥佯动）。”<br/>红1军团萧锋《日记》：“五月四日（大雾）。晨七时出发，经墓古到龙街渡宿营，行程九十里。对岸是川军，不时向我南岸打枪。金沙江河床宽，水流急，大浪咆哮，架桥很困难，又无船只，大家很焦急。军团告：准备在永兴、湾碧间强渡。关键是船，准备找船，做木排子，挑水手，定要渡过去。”<br/>红5军团陈伯钧《日记》：“五月四日（晴、稍阴）。行军——由团街经龙海塘到二道河，约四十五里。我军有掩护野战军渡江之任务，今日以一营留龙海塘筑工，遏止追敌。其余则进至二道河宿营。”<br/>红9军团林伟《日记》：“五月四日（晴）。昨天晚上，我军曾四下调查搜索，没有找到这个反动县长，但快到天亮时分，接到了群众的许多密告信件。在群众报告下，我们在一家出来当过代表的人家里，找到并逮捕了杨茂章和全县最大的豪绅、无恶不作的‘刘三老爷’。可见，这两个县老爷是专横霸道欺压贫民的最坏家伙。我军<br/>①引自《星火燎原》特刊（1983年总第15期，第64页），宋科《红军总参谋长刘伯承》。<br/>",
        'filename'=> "T00807_00"
        ],
        [
        'content'=> "?808红军长征年谱长编（中卷）<br/>今天仍拟在东川休息一日。上午在西城内召开了全城群众大会，到会群众万多人，内容有三：一是宣传红军是为工农劳苦群众谋利益的军队，中国共产党才是救中国和解放工农的政党；二是将没收伪县政府衙内十余处仓库的全部粮食分给贫民；三是审讯这个反动县长，当场枪决了杨茂章。会场欢声雷动，人心大快。今天又扩大红军共计一千四百多人，筹集经费达十余万元。利用各团部队休息避暑的时间，供给部发给每人灰色斜纹布二十尺，分请民妇为战士们缝制夹被和衬衣裤等物。城里几十家缝纫铺均为红军赶制新兵军服及挎包。今天每人发给生活费半圆银币八元。我军进占东川，是红九军团又一次大的胜利，大家都很高兴。我主力红军昨日连占金沙江边三处渡口。蒋匪薛岳、周浑元纵队及滇军一起北从宣威、寻甸、嵩明、富民一线平行向我追击前进。我五军团为后卫，在团街附近与追军十三师万耀煌部鏖战中。下午四时，我们作战科的大部人员随同郭参谋长率七团先头出发，进到以礼河、金沙江抢占渡口场，以便我军顺利渡过这条大江。晚上七时，我们已赶到江口宿营。”<br/>红6军团王恩茂《日记》：“五月四日。至叶家桥。”<br/>红25军驻军商县龙驹寨，开始了为期一周的战备整训。<br/>蒋介石发出《关于在金沙江以南地区消灭中央红军的部署》①“甲，朱、毛主力现窜禄劝——武定一带，拟由元谋偷渡金沙江河套北窜入川，与徐匪合股，或窜川、康边界之公算较多。乙，周、吴、李②各纵队，应由伯陵③严督，不顾任何牺牲，追堵兜截，限歼匪于金沙江以南地区，否则以纵匪论罪。丙，抱冰④部应急向巧、宁⑤歼灭罗匪，并不失机宜渡过金沙江，在北岸严密截剿。丁，俊三、桂三⑥两部，应即准备候令向镇雄关及其以西地区截剿。该两部所遗防务，着由锡九⑦部派队接替。戊，各将领须知，不求有功、但求无过决非革命军人应有之心理。以上五项，希各切遵具报。”<br/>国民党四川“剿匪”军第1路总指挥兼第28军军长邓锡侯、孙震发出《关于向红4方面军出击的命令》⑧=>“一、匪主力麇集江油、中坝、北川一带。其一部由<br/>①引自国民党《陆军第五十四师二十四年度四月份至六月份在川黔剿匪工作军事报告书》。<br/>②周、吴、李，指周浑元、吴奇伟、李韫珩。<br/>③伯陵，即薛岳。<br/>④抱冰，即李韫珩。<br/>⑤巧、宁，指云南省巧家县及四川省宁南县。<br/>⑥俊三、桂三，即李云杰，陈光中。<br/>⑦锡九，即郝梦龄。<br/>⑧引自国民党《陆军第四十五军、四川剿匪军第一路剿匪军事工作报告书》。<br/>",
        'filename'=> "T00808_00"
        ],
        [
        'content'=> "?1935年809<br/>墩上窜过清溪河，后续部队亦有继续进窜，进窥安、竹①之企图。我六路军章、于②两旅控置〔制〕于踏水桥、秀水河附近。主力在魏、绵③间，于支日向江油、中坝、重华〔堰〕之匪开始攻击。二、一、二两路有协同扼守清溪河，向当面之匪出攻之目的。以主力由安县城西北地区出击，歼灭渡过我岸匪队。三、陶副师长凯指挥龚、黄④两旅及梁冈⑤团，在土门⑥、姚坪站稳阵地，向墩上方向进攻。陈前敌指挥鼎勋率林、杨、李、卢、程⑦五旅计兵力十四团在安县以左地区站稳阵地，向北川至墩上之线攻击。左与陶部，右与王铭章师切取联络。王铭章师张、李、曾⑧三旅兵力九团，一部在罗圈岩以左沿河占领阵地，主力在安县以北地区擂鼓坪、凉风垭左侧一线站稳阵地，向北川西岸方向攻击前进。左与陈鼎勋，右与孙礼切取联络。孙礼旅指挥五个团另一营紧接王师右翼，就罗圈岩、通口、香水、鹰嘴岩之原阵地线向匪攻击，牵制当面之匪，使我左翼容易成功。陈旅长宗静〔进〕指挥两团紧接孙旅右翼，沿河至青莲场之线，就原阵地向匪攻击。李团长勋伯指挥所部紧接陈旅长部队，沿河至双河场，就现有阵地向当面之匪攻击。杨旅长晒轩率所部死守江油城，待机出击。董师长〔宋〕珩指挥吕康⑨旅三团、杨⑩旅两团，位置于黄土场、花街镇，为安县以右地区预备队。李旅长树华所部两团，及钟?代旅长所部两团，位置于大石坝附近，为安县以左地区预备队。四、各部队速就指定位置构筑必要工事。总攻开始时间另定之。五、侯?在绵阳，震?于出击时到安县指挥。”<br/>①安、竹，指四川省安县、绵竹县。<br/>②章、于，指章安平、于渊。<br/>③魏、绵，指四川省绵阳属魏城及绵阳县（今为市）。<br/>④龚、黄，指龚渭清、黄锡煊。黄任国民党军第28军第2师第5旅旅长。<br/>⑤梁冈，任国民党军第28军第5师第13旅第26团团长。<br/>⑥土门，位于四川省茂县东部，是通往川西北山区的重要隘口。<br/>⑦林、杨、李、卢、程，指林翼如、杨宗礼、李竞芳、卢济清、程资民。林任国民党军第28军第4师第12旅旅长；程任国民党军第28军第5师第13旅旅长。<br/>⑧张、李、曾，指国民党军第41军第3纵队第9旅旅长张熙民；第2纵队第8旅旅长李黎陶；第3纵队第12旅旅长曾起戎。<br/>⑨吕康，任国民党军第41军第1纵队第2旅旅长。<br/>⑩杨，指杨杰，任国民党军第41军第2纵队第7旅旅长。据《陆军第41军剿匪各役战斗详报》记载，孙震除亲率吕、杨两旅外，另率李炜如第11旅，于1935年5月5日到达安县。14日又调马泽的第4旅、王志远的第1旅、田泽孚的第5旅到安县城北的草鞋街一线驻防，作为预备队。<br/>?钟，指钟开泽。<br/>?侯，指邓锡侯。<br/>?震，指孙震。<br/>",
        'filename'=> "T00809_00"
        ],
        [
        'content'=> "?810红军长征年谱长编（中卷）<br/>国民党军将领袁镛转发蒋介石《关于严禁士兵声言与红军无仇的代电》：“杨团长开诚、袁兼代团长镛①、陈营长荡欧、李连长玉廷均鉴：奉军长②感午参电开，（衔略）均鉴：沿密。奉刘③总司令养未总参电开：顷奉委座哿已行勛仁电开：据报各军多有兵声言彷〔我〕等与匪无仇，如匪反攻不战而退，至后有好处，有白米饭吃等语。希即立饬注意严禁，并设法训诫。等因。特电转知，仰即遵照，切实训诫所部士兵为要。等因。仰即饬属遵照为要。查共匪残害人民，破坏国体，罪恶昭著，妇孺咸知，知此而不除，后将噬脐。今乃于剿匪严重期间，忽发生此种谣喙，显系共匪居中反间，意图离间军队内容〔部〕之团结，消灭官兵同仇敌忾之心理，亟应严为防制，以杜隐患。兹奉前因合行转电遵照，仰即严行防范，并随时训诫部属，使能明瞭〔了〕共匪祸国殃民之罪恶及有匪无我之关系，以奋发其同仇敌忾之气魄，坚其灭此朝食之决心，剿匪前途其庶几手。”<br/>月初罗荣桓在过金沙江后，奉命到红1军团第2师视察。<br/>红2、红6军团首长贺龙、任弼时等分析军事形势，认为津市、澧县和常德之国民党军只有少数地方保安部队，形势对红军有利。红军如到王家场、澧县和津市地区，湘敌主力必回援，一旦回援，红军就可在广大的无堡垒地区进行运动战寻求战机，将有利于恢复根据地。贺龙提出要继续向东反攻，但多数人认为当面之国民党军第19师、第16师兵力集中而行动审慎，红军不易下手；同时又顾虑红军继续东出，被国民党军切断归路或丢了桑植。于是，红2、红6军团在象耳桥、江垭地区筹集粮款，扩充一批新战士，旋即返回永顺、桑植、龙山之间地区。<br/>红25军由郧西县二天门出发，北进商县、洛南地区，插向国民党军之侧背，寻机歼敌，在商洛镇歼国民党军200余人。接着，进至庾家河，诱敌向北。10日，由庾家河向东南急进，先后攻占富水关、青山街、荆紫关，迫使各路国民党军回头向南追击，打乱国民党军第2次“围剿”计划。<br/>中共豫陕特委和豫陕游击师成立。至此，红25军在长征途中创立的鄂豫陕革命根据地初步建成。<br/>5月5日朱德发出《关于红1军团兼程赶到皎平渡渡江》致林彪、聂荣臻、李聚奎、黄甦、陈光、刘亚楼的电报，指示：“甲、军委纵队本日已渡河完毕，三军团七号上<br/>①袁镛，时暂兼代第38团团长职。<br/>②军长，指刘文辉。<br/>③刘，指刘湘。<br/>",
        'filename'=> "T00810_00"
        ],
        [
        'content'=> "?1935年811<br/>午可渡毕，五军团在绞〔皎〕西〔平〕①以南任掩护，定八号下午渡江。万敌八号晚有到绞〔皎〕西可能。乙、我一军团务必不顾疲劳于七号兼程赶到绞〔皎〕平渡，八号黄昏前渡河完毕，否则有被敌隔断危险。丙、从龙街经白马口、志力、鲁车沿河小路直达绞〔皎〕平二百四十里间不能过马、行李，如绕绞〔皎〕西里程或较多，则你们必须日行百三四十里以上，由你们决定。但时限不能延误。丁、鲁车两船已集中绞〔皎〕平，志力闻已停渡，但白马口、大平地今须即刻查明，派队抢船，如得手，依船数即以一部或大部从此渡河，则更捷便。”②<br/>朱德发出《关于3军团主力赶到皎平渡渡江》致彭德怀、杨尚昆、邓国清（红3军团第11团团长）、张爱萍（红3军团第11团政委）、彭雪枫（红3军团第13团团长）、李干辉（红3军团第13团政委）的电报，下令全军（除红9军团）都从皎平渡渡河，限红3军团（不包括第13团，该团已从洪门渡过江）6日渡完。“甲、万敌如北进，八号有到绞〔皎〕平可能。北岸刘敌③四个营在通安与干部团④接触。乙、军委纵队今日已渡完，七、八两日为一、五军团赶来渡河时间。丙、三军团有迅速渡河、北进会理消灭刘敌的任务。三军团（缺十三团）如本日到达绞〔皎〕平附近，必须六号拂晓前开始赶到河边渡河，限六号夜渡完；如离绞〔皎〕平较远，则须于得电后立即出发，不顾疲劳，限明上午赶到绞〔皎〕平，不得延误。否则刘、万两敌有夹击我军于江之两岸危险。丁、只十三团在洪门渡渡河，烧毁全部船只，并限明兼程向通安前进。协同干部团消灭刘敌，即受陈（赓）、宋（任穷）指挥。戊、绞〔皎〕平有船六只，每日夜能渡一万人，但部队必须紧接过渡，不得间断。”<br/>在龙街，因金沙江江宽水急无法架桥又无渡船，加之国民党军飞机不断袭扰，林彪、聂荣臻决定留少数部队和工兵继续架桥，佯作渡河，迷惑敌人。随后，遵照朱德电令，林彪、聂荣臻率领红1军团主力，奉命向皎平渡急进，星夜兼程240余里，7日，赶至皎平渡。<br/>红3军团奉命赶往皎平渡渡江。<br/>为保证全军从皎平渡渡江，刘伯承命令干部团政委宋任穷带第2营翻山20公<br/>①此处，据本电另种档案文本订正。<br/>②本电报文末署“五号”，另种档案文本为“朱德五号廿一时于绞〔皎〕平北岸”。<br/>③指国民党川康边防军（第24军）所属第12旅，该旅辖4个团，旅长刘元瑭。以下同。<br/>④干部团，是中央红军中路纵队抢渡金沙江的先遣队，在总参谋长刘伯承指挥下，率先由云南省禄劝县境内皎平附近渡过金沙江。干部团渡过金沙江的具体时间，尚未查到历史文献记载；根据红军行动部署，参照国民党军资料，可判断为1935年5月5日首批渡过金沙江。<br/>",
        'filename'=> "T00811_00"
        ],
        [
        'content'=> "?812红军长征年谱长编（中卷）<br/>里，抢占通安。第2营在獅子山击退前来阻击的国民党军乘胜占领通安，接着又在一把伞梁子附近，与国民党川康边防军第1旅旅长刘元瑭闻江边有失带来增援的2个营遭遇，红军第2营以锐不可当的气势，一个冲锋就把这股川军冲垮，刘元瑭急得大哭，收容残部约400余人逃回会理。干部团占领通安后，当天下午在四方街召开群众大会，宣传红军是穷人自己的队伍，协助群众建立了通安贫农团，领导群众打土豪，分果实。红军在到达彰冠、南阁、东坝、积水、会理北关、四宗村等地后，也协助当地群众建立了贫农团。<br/>红5军团在石板河与追敌万耀煌部激战，击退国民党军多次进攻。在石板河阻击战期间，毛泽东等派军委总政治部代主任李富春到石板河慰问红5军团，并传达中革军委要求红5军团再坚守阵地3昼夜的命令。红5军团指战员表示：人在阵地在，即使红5军团打光了，也要掩护主力安全过江。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月五日（晴）。十二时率一、六分队出发，一路均是下坡且陡（居民称，江边至擦不丹六十里，由擦下江边四十里），十九时许渡金沙江，至中屋山露营。此一带居民多系倮倮民族，因地当川滇大道，土地又较肥沃，其生活似较苗瑶等族为优。”<br/>红1军团部《长征经过地点及里程表》：“五月五日。下七里→大拉坡。二十里。”《红1军团在长征中战斗日程表》：“五月五日，红二师，元谋，滇军，掩护。”红1军团萧锋《日记》：“五月五日（晴）。午找李师长、黄政委询问过河情况，心里挺急。敌人仍在对岸打枪，我们一只船也没有。谭主任说，一团参加强渡。部队极疲劳，但想到前有金沙江，后有蒋介石，四处悬崖陡壁，穷山恶水，往哪里转？一定要渡过金沙江去，这是关系到红军生存，关系到苏维埃运动的命运，关系到北上抗日的大事。毛主席、周副主席、朱总司令很关切渡河的事。这是关键时刻，四个军团都在想法渡江。据讲，干部团已在皎平渡巧渡成功。”<br/>红5军团陈伯钧《日记》：“五月五日（晴）。行军——由二道河经坎凳、三米那、石板河到龙郎河，约三十五里。我中、右纵队均在皎平渡一处渡河。所以，今日除以一营掩护我后方部队，先接近江边准备七号渡江外，余主力只进至石板河、龙郎河之线，并以一营在坎凳东南山地筑工遏止追敌。”<br/>红9军团林伟《日记》：“五月五日（晴）。拂晓，我们从以礼河的江口出发，趁早晨天气凉爽兼程前进。上午翻越了一座大高山，上下各有二十里。九点钟，天气就曝热起来，晒得人们头晕疲惫，加上这几天增添了新夹被、火腿罐头和云南银镍币，<br/>",
        'filename'=> "T00812_00"
        ],
        [
        'content'=> "?1935年813<br/>行李大大加重。天热口渴、沿途无人烟，找不到水喝，有的同志把蓄水池子里的水都喝了。天热得人们难以忍耐，上山气喘，汗水湿透全身，撑着雨伞前进还感到十分闷热。今天在这里发生了一件有趣的事，我军行到将近山顶的一个名叫松瓦村的小村落时，有两个卖水的老头，发了一笔不小的财。大家都边行边去争相买一茶缸清凉水喝，给的钱大多是半圆的云南银币。在这个酷暑的环境下，买到凉水确实是很幸运的了，弄得老头的凉水供不应求，他也找不开零钱，许多同志要跟上队伍，又不愿在那里久等，同时，老头找的镍币也是重得很，这样大家就干脆不要老头找钱了。结果大都是一圆买到一杯水，真是没有过这样的事。下午两点钟，我军先头下山已进到渡口场。当我们到山顶松瓦村时，即能够俯瞰金沙江的巧家、蒙姑一线的形势，很清楚地看到渡口场的江面没有一只渡船。金沙江的这段江面宽阔，黄水滚滚。我七团在渡口与对岸的民团互相射击着，枪声在这个宁静的峡谷中显得特别清晰。大家看到这个无望的情景，不禁愁着如何渡江呢？真是对江遥遥相隔，徒唤奈何。四点多钟，我们进到蒙姑以南之因民、落雪坝之间的渡口场。对岸的散匪被我七团重机枪击溃，整个江面风平浪静。侦察连分向沿山的江边作周密的搜索，并找群众调查。据说，这里原来有很多船只，盐厂的靖卫团、税警队等有三百多人枪，闻我红军进占东川要渡金沙江，就在两三日前将此段江面的所有船只（即运盐船只），统统强制集中到盐厂去了。盐厂距此仅十八里，在对岸山脚跟北面紧靠江边，那里是一个盐市场，有数百盐工在那里制盐。靖卫团封锁着所有渡口，控制着所有的船只，并出了告示，不准任何人划过船来，违者就地枪决。我们在这个渡口徘徊很久，忘记了天热、口渴、疲劳，眼看着后面的主力即将到达，今天无论如何也要想法渡过江去，否则后面的追军将配合进到巧家的滇军，把我们包围在这个峡谷中，使我军陷入非常严重的困境。侦察连长龙云贵在搜索中发现了一宗秘密，有两个被盐警打得满身血迹淋淋的盐工，前两天在这里看到了靖卫团强迫所有的船只都要撑到对岸北边盐厂靠岸，有一只破船，已无法划过去，就在渡口附近沉到江底去了。经过我们一小时打捞，却把它找着并浮起来，拖到岸边。入夜；乘着新月的微明，所有做过木匠的战士都集中起来，连夜抢修这支破船。后面来到的主力，就在松瓦村大山那边休息待渡，九团仍在江口警戒。”<br/>红6军团王恩茂《日记》：“五月五日。至双溪河市区街上。”<br/>5月6日红3军团一部赶到皎平渡，并于当晚渡过金沙江。周恩来副主席命令第11团政委张爱萍率该团第2营溯江西进，控制龙街渡口北岸，阻击追敌过江，掩护主力在会理短暂休整，策应红1军团转移。张爱萍率部连夜西进。<br/>",
        'filename'=> "T00813_00"
        ],
        [
        'content'=> "?814红军长征年谱长编（中卷）<br/>红1军团一部在元谋马头山白酒坡与国民党滇军刘正富部发生战斗，毙4人，<br/>伤10余人，红军牺牲2人，伤4人。黄昏，国民党军退至老城一带宿营，红军奉命赶到皎平渡渡江。 <br/>中革军委命令红3军团第13团政委张爱萍带领一个营和侦察排电台沿着江北岸西进，迅速到达元谋以北、姜驿以南的龙街渡口，阻击沿昆明通川康大道向北追击的国民党军，掩护红军主力渡江后，在会理稍事休整，随即跟进。同时沿路注意联络南岸各军团的部队，并转达军委命令他们改变从龙街渡江的计划，火速赶到皎平渡渡江的命令。该部队于黄昏前出发，7日凌晨在鲁车与红1军团隔江联络上，传达了军委的命令。天亮以后，又在鲁车附近江中，找到了一只小船，把红1军团野战医院戴院长率领的一批伤病员接过江。11日抵姜驿，活捉伪县长和数百个团丁，黄昏前赶到龙街渡口对岸的河边村。在完成监视国民党军的任务后，根据军团首长的命令，于15日撤出河边村，星夜赶到会理，归还建制。<br/>中革军委指示红9军团渡过金沙江后，彻底焚毁沿金沙江各渡口的所有船只，阻止追敌于江之右岸，以掩护中央红军主力集结会理地域。<br/>朱德发出《关于红5军团继续掩护野战军渡江》致董振堂、李卓然的电报，指示：“A.本六号万敌先头到龙海塘，主力在团街。周敌仍将经马街、牛街转向禄劝、元谋前进。B.我三军团今日起转经绞〔皎〕平渡江，明午可渡完。一军团七、八两号可抵绞〔皎〕西、绞〔皎〕平之线。五军团后梯队已过江开通安。C.五军团（缺一营）有继续掩护野战军主力渡江的任务。明七号五军团主力仍留石板河地区，以两个营守二道河附近阵地，并前出得力部队伪装主力先头南下，向万敌积极行动，逼敌展开，务阻该敌先头部队不得趋过二道河以北，以便八号能继续阻敌于石板河、绞〔皎〕西之间，不得违误。D.望多方侦察绞〔皎〕西、沙老树通绞〔皎〕平渡的各大小道路，电告。”<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月六日（晴、入夜微雨）。驻原地未动，候军因渡河。前进二十里。（六分队借小板十六元）。”<br/>红1军团部《长征经过地点及里程表》：“五月六日。大拉坡→龙街→马口。一百一十里。”<br/>红1军团童小鹏《日记》：“五月六日。本拟在龙街搭浮桥渡江，奈因无船与搭桥指挥者之不坚决，故未能达到此目的。今日起移至下游友军之渡口——绞车〔皎平〕渡。本晚在白马口宿营。（一百一十里）。”<br/>",
        'filename'=> "T00814_00"
        ],
        [
        'content'=> "?1935年815<br/>红1军团萧锋《日记》：“五月六日（晴）军团告：刘伯承总参谋长带军直干部团侦察连、二营副营长崔海元、五连连长萧应棠等乔装国民党兵，抢占姜驿镇渡口，夺了十五只船。五月一日晚，在绞〔皎〕平渡把全团人马渡了过去。又接周副主席、刘总长电令：一军团赶紧沿河东南转绞〔皎〕平渡，从三军团后渡江，五军团担任掩护。我们这里确实难以过江，遵照军委电令，兼程前进，寻找机会按时渡过江去。晨七时出发，经长河口到拉培村宿营，行程八十里。路实在难走，敌机又在不时地扫射，一天功夫才走几十里。因为急行军，战士们走得斜头歪脑，牲口丢了一半。在危急关头，要做好政治解释工作，哪里方便就从哪里渡。二团占领万德镇，师直属队跟在一团后，经小米支、甲里、放山果、父油照，在坪地消灭敌保安团一个连，大家挤在坪地上露营。”<br/>红5军团陈伯钧《日记》：“五月六日（晴、夜雨）。驻军备战——龙郎河、石板河地域。中、右纵队要八号才能渡江完毕，所以军委令我今日仍在原地停止一天，遏止由武定来追之万①敌，并以侦察部队前出二道河游击侦察。是日黄昏，敌之侦察队约百人已进至二道河南岸，与我三十九团侦察排稍事接触，余主力尚在龙海塘、团街之线。”<br/>红9军团林伟《日记》：“五月六日（晴）。昨晚十二点钟，船已补好。两点钟，侦察连及七团一营就乘夜把船划过去，连续十三次来回摆渡过去二百多人，占领了对岸高地。待七团过去一个营以后，即向盐厂奔袭，沿山北进，距盐厂十八里，拂晓以前已进到盐厂。这些盐警、税警队同靖卫团，他们自以为船已靠过去了，红军没有翅翼不能飞过去，满以为万无一失，整晚都在赌钱打牌、喝酒、吸大烟。深夜里星光还在闪烁，我已摸进了敌营地，他们都还在酣睡梦中。天将破晓时分，在我军突然喊杀声中，敌人一个个目瞪口呆，二百多人都当了俘虏。天亮了，我们动员所有民船的艄公们，把五十多条船只划到南岸的渡口场。于是，我军大队人马乘坐这些大船，安全而巧妙地渡过了金沙江。十点钟，我军到达盐厂。金沙江，为扬子江的上游，发源于青海的西南部，通天河南来，在西康云南省境者皆称为金沙江，到宜宾同岷江会合后才称为长江。这段江面很宽，达八百米，两面皆大山，水深多弯曲。这里距元谋北部的绞车〔皎平〕渡的渡江地点不及一百五十公里。我军此次没有伤亡一人，就安全地渡过了这条大江，全军人员均无不兴高采烈。日前对金沙江难渡的忧虑，现已一旦冰消。不到五小时，全军已经到达盐厂。上午休息。这里是一个大市镇，街道沿江<br/>①万敌，即国民党“剿匪”军第2路军第2纵队第13师，师长万耀煊。<br/>",
        'filename'=> "T00815_00"
        ],
        [
        'content'=> "?816红军长征年谱长编（中卷）<br/>岸边伸延，沿江有多处码头，能靠停许多民船。今天我军又在盐厂筹款五万。下午二时，我军从盐厂出发北进，入夜进到大龙山宿营。据我前出的侦察人员回报，说前面又有敌堵击部队。这是军阀杨森的第六混成旅的一部分。”<br/>红6军团王恩茂《日记》：“五月六日。从双溪河出发，经过桑植城至泥湖塔，随张主任①转来桑植城省委。”<br/>国民党“围剿军”第2路军前线总指挥薛岳据飞机侦察红军在元谋北金沙江架桥，于是判断红军主力“必在永仁北之仁和渡江，一部在元谋北之金沙江渡过”。乃作如下部署：欧震师由元谋向金沙江北进，限7日到达，梁华盛师由元谋向永仁前进，限8日到达，歼灭渡江红军；万耀煌师由团山以西地区，转向元谋金沙江急进；第36军周浑元部向牛街经武定、罗次、禄丰，向楚雄前进，限11日到达；空军第3、第4两队，限7日炸毁金沙江红军架设未成之浮桥；第53师限15日在巧家、会泽地区消灭红军罗炳辉部（红9军团）。是日，薛岳总部驻昆明。<br/>国民党云南省政府主席兼“剿匪军”第2路军总司令龙云给蒋介石发出《关于江北未见川军布防电》：“限一小时到。贵阳委员长蒋钧鉴：本未电计达。吭密。本日薛②总指挥同刘③队长飞侦匪情回报，发现匪一部本午在元谋至会理大道之渡口搭造浮桥，已成三分之一。大江对岸并未见川军。等语。窃查此时江防，关系极重。本日据刘元璋④歌申电称，大江北岸防务，职已早饬盐边驻军会同县长派兵严防。又据刘元塘⑤歌午电，匪一部在中武山渡口偷渡，职于支晚已赶到通安堵截。各等语。似此，则所报均与事实不符，北岸有无防守，尚属疑问。所幸我军已达永仁及龙街附近，明日可到江边。唯对岸无兵，匪仍有渡过逃脱之虞。除催我各部星夜猛进，并重奖空军务努力飞往炸破浮桥外，勋〔恳〕祈钧座立电刘⑥部，即日驰赴江岸严防为祷。龙云。鱼戌机印。头尾用代名词⑦。”<br/>蒋介石在贵阳出席贵州省政府扩大纪念周，发表《新贵州之建设极易成功》的讲演。<br/>①张主任，即张子意。<br/>②薛，指薛岳。<br/>③刘，指刘义曾，任国民党空军第4队队长。<br/>④刘元璋，任国民党军川康边防司令。<br/>⑤刘元瑭，任国民党军川康边防军第12旅旅长，辖4个团。<br/>⑥刘，指刘文辉。<br/>⑦代名词，是对地名、人名等所用的一种简单密码。<br/>",
        'filename'=> "T00816_00"
        ],
        [
        'content'=> "?1935年817<br/>5月7日红1军团一部赶到皎平渡渡过金沙江。聂荣臻政委在江北岸见到毛泽东。毛高兴地对聂说：“你们过来了，我就放心了。”<br/>红3军团渡过金沙江，向会理前进。会理城有国民党川军3000人防守。红军接近会理后，西昌国民党军第3旅及金川桥的川军2个团向会理增援。中央红军干部团攻会理未克。<br/>朱德发出《关于保持皎西以掩护1军团后卫队渡江》致董振堂、李卓然的电报，指示：“甲、渡河极顺利，每日夜能渡万余人。三军团即可渡毕。五军团现在部队只需四小时可渡毕。乙、从绞〔皎〕西到江边五十里，隘路天险极利掩护，敌即至绞〔皎〕西亦不忧渡江困难。丙、万敌孤立，前、昨两日共仅进约百里多，畏缩可知。丁、但五军团必须用大力本日阻敌于石板河以南，保持石板河于我手中。明八日阻敌于绞〔皎〕西以南，保持绞〔皎〕西、沙老树于我手中，以掩护一军团后（卫）队于八日下午通过绞〔皎〕西，及你们自己于九日安全渡江，决不得违误。”<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月七日（晴）。驻原地。一分队借去伙食小板二十元，垫李寿标津贴二元小板。据讯‘5344’报务员带花，派李光寿、李寿标去未果；又讯‘5461’林春生及其政委被炸牺牲。下午，狂风骤雨一阵。”<br/>红1军团部《长征经过地点及里程表》：“五月七日。马口→平地→沙滩。一百里。”<br/>红1军团童小鹏《日记》：“五月七日。拟今日赶到绞车〔皎平〕，但因路险山高极难行走，至半夜才走到（七十里）（志力渡）。今天过的路简直不成路，系沿河岸之石壁上，横走直爬而过的，高高低低上上下下，走得煞是疲倦！”<br/>红1军团萧锋《日记》：“五月七日（晴）。晨七时出发，一团为前卫，起程经到尘河、五曲沟、热水塘、羊进德、以鸡嘎到老力新村休息时，听到东北方向有炮声，也许敌人追兵到，让他们捡我们的烂草鞋去吧！我们赶到下龙门、三家村宿营，因路难走，行程七十里。师直属队打九家土豪，二团消灭保安团四百多人。这一带是山区，木材多，煤、铁多，但工农很穷，这是土豪劣绅残酷剥削的结果。”<br/>红1军团赖传珠《日记》：“五月七日。从绞平渡过金沙滩河。”①<br/>红5军团陈伯钧《日记》：“五月七日（阴夜微雨）。作战——石板河、坎凳、<br/>①金沙滩河，即金沙江。中央红军过江即进入四川境内，甩掉了国民党军，执行北去川西北与红4方面军会合的计划。<br/>",
        'filename'=> "T00817_00"
        ],
        [
        'content'=> "?818红军长征年谱长编（中卷）<br/>二道河之线。因一、三军团架桥不成，船只亦找不到，所以，大家都挤在绞〔皎〕平渡渡江，因此我们今日掩护任务更加重要。当即以三十九团主力在坎凳西南山地顽强遏止敌人，侦察连亦配合该团作战。是日敌之别动队约一营，自七时起即与我警戒部队接触。后被我侦察连及三十九团之二营全部击溃，退至二道河以南山地。是晚我仍以一营扼守坎凳西南山地，余均在石板河、龙郎河宿营。”<br/>红9军团林伟《日记》：“五月七日（晴）。昨晚我军在大龙山露营，天气酷热，蚊虫很多，我们疲倦地度过了这艰难的一夜。拂晓时分，我九团的连哨线上，捉住了敌人四个传令兵，截获杨旅给驻东瓜坪敌人的一封信，信中略谓：‘共军主力此次由黔入滇，现又经滇北的武定、元谋北进，刻正在茶连、绞车〔皎平〕渡一带渡江，进入川康南部我军防地，向通安、会理前进。我为增防披沙、宁远，着令你部明日火速赶到建昌以西之岩坝、富民地区待命，共谋堵击共军……’等语。我军已判明该军是一个营兵力，军心恐慌，即有放弃东瓜坪逃走情绪。军团当即命令九团立即出发，坚决消灭在我前进途中堵击我之东瓜坪的这一营敌人，由俘获的四名传令兵引路。我军沿江西岸山腰小道前进，下午二时，九团就进入到了东瓜坪。敌人尚未撤走，也不知道情况，我军如同天降神兵，当即打响了。敌人惊慌得很，措手不及，仓促应战，战约不到四十分钟，待我军团部到达时，已将其全部歼灭，打死其中五十多人，俘敌三百，获三七迫击炮四门，百克门手提机枪五十四支（成都兵工厂新产品）。敌人真是豆腐军，今天我们与康军接触的第一个回合，即获得大胜。俘获来的士兵中，有七八十个年轻体壮不吸鸦片者，经过宣传，在其自愿要求下参加了红军。西康军队也是大部吸鸦片烟，装备简陋，背了一个竹篮子，内盛着一床薄夹被子，放置烟枪、烟灯等物，同贵州的二十五军差不多。士兵着粗布灰色军服，据俘来的士兵说，每月他们只发二元五角的军饷。晚上，我军在人烟稀少的十余里山地线上宿营。我们军团司令部就宿营在这位杨司令的家中。据说，这是杨司令第六位姨太太的家，约有四五十间的砖瓦房屋，建筑在一个有梯形水稻田的中间，家人均已逃走。看样子他们今天早上才走，炉灶里尚有余烟。曾有一排兵士守备这个姨太太，厨房里还放着许多火腿、腊鸡等食物。”<br/>红2、红6军团主力由江垭、慈利地区西返，于塔卧、永顺间之湖南省永顺县茶陵坡歼灭国民党湘军第62师1个营，史称茶陵坡战斗。红军总政治部在6月2日（署5月30日）出版的第18期《红星报》第一版报道了茶陵坡战斗：“我二、六军团于五月七日在永顺之茶林坡与敌六十二师钟旅一个营作战，将其完全消灭，营长以下官兵全<br/>",
        'filename'=> "T00818_00"
        ],
        [
        'content'=> "?1935年819<br/>部被我军俘获，缴获步枪二百五十余枝，机枪自动步枪八枝，军装五百包。”<br/>红6军团王恩茂《日记》：“五月七日。检查桑植独立营党的工作，开全营党、团员大会。”<br/>国民党云南省政府主席兼“剿匪军”第2路军总司令龙云给第3纵队司令官孙渡等发出《关于将中央红军压迫于会泽、巧家方向电》：“限今夜到。元谋孙司令，刘、安、鲁、龚①各旅长均鉴：命令：一、匪过大江未成，踅窜环洲②，必已军心慌乱，希望断绝。兵法攻心，良机难再，我军务趁此敌众气馁之时，分兵猛攻，压迫该匪于会、巧③方面，可期解决。二、务抽调劲旅一旅，兼程向匪右侧前进，防其窜过寻、沾④。三、匪方重心，全在军委。我军无论何时，发现其军委所在，务选有勇有为之团长，不惜牺牲，直前猛扑，本擒贼擒王之旨，将其重心摧毁。四、顷奉委座电，匪首朱德、毛泽东、周恩来、博古四人，无论生擒格毙，查实均奖国币拾万元。即谕官兵知照。五、奉令后，于今夜部署完毕，明晨即行开动，以免落后，致失机会。切切。”<br/>国民党军事委员会委员长行营参谋团主任贺国光给邓锡侯发出《关于增防茂县、叠溪、墩上电》⑤：“一、松潘一带防务空虚，已催马步芳⑥旅兼程增防，谅日内可到。二、我王缵绪部即日打通江油后，即令渡河西进协剿。唯此时茂县及叠溪两处极关重要。且绵阳此时无须多兵。希速抽调三团挨次推进，兼程增防该处，严密布署，即可堵匪西窜之路。墩上尤为匪窜扰要道，亦须以大兵力攻击。希迅令出击部队协同二路从速打通，以固封锁。”<br/>国民党军李韫珩发出《报告红军罗炳辉部于树桔过江》给龙云电：“至急。昆明总司令龙：虞（7日）丑执电奉悉，力密。罗匪已于微（5）日午后在会泽西方之树結（距会泽约百十里）附近，利用多数盐船渡过长江。珩部李旅黄团昨已追到树桔江边。余情续呈。李韫叩。虞（7日）酉印。”<br/>5月7日~9日陕甘红军在陕北安定吴家寨、马家坪奸国民党军2个营又1个连和民团一部，俘1000余人。驻安定县城及驻延川永坪镇之国民党守军逃跑，红军占领安<br/>①刘、安、鲁、龚，指刘正富、安恩溥、鲁道源、龚顺璧。刘任国民党军第10路军第1旅旅长。<br/>②环洲，位于云南省武定县东北地区，今为平地镇。<br/>③会、巧，指云南省会泽、巧家2县。<br/>④寻、沾，指：云南省寻甸、沾益2县。<br/>⑤引自国民党《陆军第四十五军、四川剿匪军第一路剿匪军事工作报告书》，以阳午川行参战电发出。<br/>⑥马步芳，任国民党军第100师师长。马步芳部队并未到松潘增援，而是胡宗南的第1师所属丁德隆独立旅和第61师分别由东向西、由北向南抢占松潘。<br/>",
        'filename'=> "T00819_00"
        ],
        [
        'content'=> "?820红军长征年谱长编（中卷）<br/>定县城。<br/>5月8日红3军团全部渡过金沙江。红1军团后续部队由皎平渡全部渡过金沙江。红5军团完成掩护任务后，奉命向皎平渡开进。<br/>中革军委指示：各兵团到达指定点后，迅速弄清会理敌情，加强两侧警戒，并准备好攻城器具。红3军团和干部团担任主攻，统受彭德怀、杨尚昆指挥。<br/>彭德怀、杨尚昆致电中革军委：守会理城敌军先有4个营，1个手枪连，后又由西昌增加2营，加上民团共有3000人。有机枪6挺，迫击炮3门，城内小碉堡楼20余个。另讯，西昌之第3旅有于10日赶到会理增援消息。各兵团拟于9日进至预定位置，作好攻城准备。<br/>红3军团先头部队抵会理城下。9日，红3军团与干部团围攻会理城，中央红军其余部队进行休整。担任围攻会理城任务的红3军团先头部队到达会理城郊。国民党川军刘元瑭从通安退回后，向西昌刘元璋告急，刘元璋派聂秋涵团前往会理支援，同时调回姜驿的胡怀堂团，死守会理城。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月八日（晴）。驻原地休息。夜间阵雨。”<br/>红1军团部《长征经过地点及里程表》：“五月八日。沙滩→中屋山→金沙江边。一百里。”红1军团部《长征经过的名山著水关隘封锁线表》：“五月八日。云南，渡金沙江。（第二师一天走一百二十里，赶到金沙渡口）。”<br/>红1军团童小鹏《日记》：“五月八日。继续赶路，傍晚到渡点（九十里）。沿途仍是陡壁石路，极难行走。晚十时渡河宿营。今天过了使大家久望的金沙江，也就使我们得到了创造新苏区的更大的保障。”<br/>红1军团萧锋《日记》：“五月八日（晴）。晨出发，经鲁村、沙田、昌莫、木落寨古渡到河口宿营，行程六十里。师告，按一团、师直属队、二团、三团顺序行军渡江。东面炮声仍很激烈，敌机不断捣乱。谭主任要我负责全师收容工作。我带收容队准备过江时，看到刘伯承总参谋长坐在南岸江边，催部队快过，并指挥两岸架起水机关枪对付敌机，来了就打。白天过江，炸弹落不到船中间就是胜利。能多过一船战士，就多一分力量。这次渡江十分艰苦，收容队忙得很。据方面军总部参谋讲，毛主席是五月三日傍晚过江的，他和周副主席、朱总司令、刘总长亲自研究全军渡江的问题，在江边的几个破石洞里住宿和工作。直到全军快过江完毕，他们才赶到前面去，刘总长留下指挥最后一批同志过江。”<br/>",
        'filename'=> "T00820_00"
        ],
        [
        'content'=> "?1935年821<br/>红1军团赖传珠《日记》：“五月八日。到达通安（三十里）宿营。”<br/>红5军团陈伯钧《日记》：“五月八日（阴、夜大雨）。行军——由龙郎河经绞〔皎〕西、沙老树、大村到洪门场，约九十里。是日我仍以一营及侦察排留坎凳阻敌，三十七团之主力则留赵村附近，余则开绞〔皎〕西。本来今日准备阻敌于绞〔皎〕西以南，后得电报一军团已于今日开始渡河，明（九）日晨可以渡完。因此我们只以一营留沙老树遏止敌人，余则星夜赶至大村、洪门场准备渡江。是晚天雨路滑，十分不好走，直到次日一时，才大部赶到。”<br/>红9军团林伟《日记》：“五月八日（阴雨）。我军今日进抵松林坪，准备继续消灭其另一个营，不料，敌人已发觉逃走。我一、三、五军团，五日已在绞车〔皎平〕渡胜利地过了金沙江，前锋一军团已通过安州向北前进，开辟了全军渡江的道路，把蒋匪的十万追军远远拋在后面。我从东南两路大军同时进入川康南部平原，追击我之敌中央军，已离我军四五天的行程了。现在，我军已进到西岸堵击其渡口，党中央拟定在川南求得打下西昌、会理两城，休整一周的计划。滇军一个旅进到巧家，国民党中央军主力仍在宣威、禄劝、武定一线。”<br/>红6军团王恩茂《日记》：“五月八日。参加修械处被服厂工人大会。工人节省红五月三分之一的工资，支援战争。”<br/>蒋介石给云南省政府主席兼“剿匪军”第2路军总司令龙云发出《关于防止中央红军到仁和以西地区渡江电》：“限一小时到。昆明龙总司令勋鉴：虞令电悉。良密。匪部狡狯百出，须防其以一部分〔向〕环洲回窜，而其主力或重要匪首，乘我专重围剿环洲股匪时，乘机向仁和、大兴及其以西地区偷渡。故无论该匪有否向仁和及其以西地区逃窜，而我军总要派一旅兵力驰进仁和与大兴卫之间及其以西地区搜匪防堵为祷。”<br/>蒋介石给龙云、薛岳发出《关于向洪门、白滩进击中央红军电》：“限二小时到。昆明谦、切①：凯密。据刘文辉虞午电转刘旅长元瑭鱼已电称，职部前将通安之匪击退，江边红〔洪〕门、白滩两点匪又陆续抢渡，同时通安溃匪复行折回。当经分兵奋勇堵剿，匪、我伤亡甚众。现仍在江边激战，而匪尚陆续抢渡，愈集愈多，急盼滇方追兵星夜赶到，共同夹击，庶易歼灭。等语。查志舟②兄虞戌电云，匪在龙街渡江未成，折回环洲等情。两相对照，则环洲之匪或系匪之掩护部队，其主力潜由洪门渡河。<br/>①谦、切，系龙云、薛岳的密码代名词。<br/>②志舟，即龙云。<br/>",
        'filename'=> "T00821_00"
        ],
        [
        'content'=> "?822红军长征年谱长编（中卷）<br/>观其焚毁行李，其决心渡河可知。我军既已集结，而匪在渡河之时间，我军能猛攻其任何点，均属有利，且必可以少胜众也。自乾①部队防广兵单，匪既已一部渡过，则江北岸之防堵甚为可虑。我第二路军除猛攻环洲外，似应派就近有力部队星夜赶赴洪门、白滩，击其半渡，必可收伟大之效果。机不可失，望各部奋进，并盼立复。和②。齐酉侍参筑印。”<br/>国民党云南省主席龙云发出《命严督所部乘红军半渡进击》致孙渡电：“即到。行营孙司令并转各旅长均鉴：密。顷据刘湘转刘元璋、元瑭两电略云：‘江晚匪一部约四、五千人，先后由禄劝属之鲁车、红门、白滩等渡过江，向对岸通安逃窜，被其击溃，克复通安，现尚相持中’等语。查该匪现正半渡，大部尚未渡过，仰该司令及各旅长务严督所属，不分昼夜，向环州方面之匪猛进攻击。乘其半渡进剿，当可收功，稍迟则不齐耳。切速切速。总司令龙。庚（8日）未扣印。”<br/>5月9日中央红军干部团继续北进，阻击增援会理的国民党川军刘文辉部；红3军团包围会理并开展攻势；红5军团第37团在完成阻击国民党军，掩护全军渡江任务后，留下红5军团教导营侦察连在皎平渡北岸阻击国民党军，红5军团于当天全部渡过金沙江。至此，中央红军军委纵队及第1、第3、第5军团，在当地群众协助下，依靠7只小木船，历时9昼夜，全部渡过金沙江。在云南、贵州边单独行动的红9军团也在东川（今会泽）以西的树节、盐井坪地区渡过金沙江。国民党数十万“追剿”部队被甩在金沙江以南地区，中央红军取得了战略转移的决定性胜利。<br/>红3军团占领会理城北关，完成对会理城的包围。国民党川军刘元瑭部为了阻挠红军攻城，放火烧东、西关，使381户、1512人无家可归，烧死18人，受伤8人。红3军团和干部团围攻会理城不克，红10团团参谋长邱阜成在攻城战斗中牺牲。彭德怀、杨尚昆向军委提出：会理守敌有久守之意，我强攻无把握，建议放弃攻城企图，以一部监视城敌，同时进行坑道作业破城，第3军团和干部团进至城北15公里，准备打击援敌。军委指出：第3军团及干部团继续攻打会理，如强攻不成，应即加紧进行坑道作业，准备12日炸城。<br/>彭德怀、杨尚昆致电中革军委：会理城西90里之沙田有敌一团（事先不知），本日进至城端高地，被我军击溃，大部窜进城内。敌还将城外机器、粮食均搬入城内，有久守之意，估计强攻无把握。故建议以一部监视城内之敌，同时进行坑道作业。红3<br/>①自乾，即刘文辉。<br/>②和，系蒋介石的密码代名词。<br/>",
        'filename'=> "T00822_00"
        ],
        [
        'content'=> "?1935年823<br/>军团及干部团，拟10日进至城外适当地点，准备打击援敌。<br/>在红3军团、干部团围攻会理之时，红1、红5军团等部抓紧时间，进行短期休整。<br/>林彪、聂荣臻致电朱德、周恩来、张闻天、王稼祥：“一军团自从赶渡金沙江至现在，减员甚大，目前既无补充希望而战斗又日益紧张，如继续现状实不便作战，我们意见拟将两个师合编为三个团，取消师部，直接受军团指挥，多余干部编入教导营，编成一教导团，此外侦察、工兵、炮兵各编一连，将来有兵能补充时，干部均在，较易扩大。”<br/>朱德发出《关于我军已全部渡过金沙江及当前任务》致罗炳辉、何长工的电报，指示：“罗何：A.我野战军今日已全部渡过金沙江。三军团及干部团正围攻会理，其增援队第五旅①由西昌南开。我一、五军团明日开会理附近，准备消灭敌援队。估计蒋敌②为配合刘敌③行动，有派兵由蒙姑渡江可能。B.我九军团仍执行消灭刘敌单个部队，破坏沿江船只，遏阻东岸追敌，以掩护主力行动的任务。明十号，九军团（缺一个营）应即开蒙姑，利用善泅水的实行排渡、偷渡与隔河射击的种种办法，焚毁或捣沉、击沉对岸所有船只，并坚决遏阻追敌过江。九军团之另一个营，带小电台从小路向巧家对岸侦察前进，到达后应进行同样破船、阻敌的任务。C.九军团不论在行进与驻在中，如遇到敌单个部队，应坚决消灭之。D.九军团应注意发展沿江的游击队，筹款与扩大红军。”<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月九日（晴）。由中屋山出发，在通安大休息，交汽缸一套给一师战‘5458’，十八时至张官冲。（八十里）。”<br/>红1军团部《长征经过地点及里程表》：“五月九日。金沙江边→通安。五十里。”<br/>红1军团童小鹏《日记》：“五月九日。至通安（三十里）。已是川境。”<br/>红1军团萧锋《日记》：“五月九日（晴）。我们收容队带着全师掉队的百多人，昨半夜从老马田摸黑夜渡安宁河，幸河床窄，二十分钟就渡过了。今上午九时出发，经中武山、大店子、小水井、老村沟、通安镇、长官街、吉区、黎溪城到羊地屯、风宿村宿营，行程七十里。中央军委④在长官街。三军团走在前面，正在攻<br/>①该旅属国民党川康边防军（第24军），旅长杨学端，辖3个团。以下同。<br/>②指蒋介石嫡系“中央军”部队。<br/>③指刘文辉所属之川康边防军部队。以下同。<br/>④即中革军委。<br/>",
        'filename'=> "T00823_00"
        ],
        [
        'content'=> "?824红军长征年谱长编（中卷）<br/>打会理城。前面部队走过，什么东西都吃光了，粮食很困难。我们饿点没有关系，无论如何要保证毛主席、周副主席、朱总司令和刘总长等首长的食物。他们的健康，是我们胜利的保证。”<br/>红1军团赖传珠《日记》：“五月九日。出发到彰冠场宿营。”<br/>红5军团陈伯钧《日记》：“五月九日（国耻纪念）（始阴、继晴）。行军——由洪门场经中屋山（渡金沙江）、大山、通安到平山，约七十里。好几天悬而未决的渡江问题，今天算是实现了！这也是中国革命的紧急关头，因渡江后与渡江前的形势完全是两样。这一渡江的胜利，是很值得我们庆祝的！是日因直属队先渡江，同时渡江较迟缓，所以我率直属队先经通安到平山宿营，我侦察连则留中屋山遏阻追敌。”<br/>红9军团林伟《日记》：“五月九日（无雨）。我军今日继续沿江北进，下午三时，抵达富林坪。这里又是什么‘杨司令之家’。我军团奉命扼守金沙江，阻止追到巧家之滇军过江，情况较紧，任务重大，掩护主力一军团围攻西昌，三军团围攻会理，五军团进到德昌，这两城均有敌人的兵工厂，制造枪械和弹药，是川康军刘元瑭、刘元璋两旅驻防。富林坪距金沙江不远，在西岸的许多梯田中间，约有三百户，周围大小村庄不少，西岸居高，可俯视东岸平原情况，地势为我有利。”<br/>红6军团王恩茂《日记》：“五月九日。检查城市区委工作，参加他们的常委会议。”<br/>红25军主要领导人之一、中共鄂豫陕省委书记徐宝珊在红25军长征途中的陕西省商县龙驹寨（今丹凤县城）病逝，遗职由红25军政委吴焕先代理。<br/>蒋介石给龙云、薛岳发出《关于向中央红军主力攻击电》：“限即到。昆明分送谦、切①：良密。（注意，薛总指挥已用安密另发）志舟②兄齐午电、伯陵③兄齐酉电，均悉。齐酉电部署甚妥，可惜时间稍迟。务督饬各部努力奋进，猛烈攻击匪之掩护部队，如占据阵地顽抗，则我可派一部监视之，主力绕出其后方，袭击其主力，切勿为其牵制，至要至要。如匪已渡河，则吴、周、李④各部皆应迅即渡河。剿匪之成功，端在此举，务饬各部努力为要。和⑤。佳辰侍参筑印。”<br/>蒋介石给国民党云南省政府主席兼“剿匪军”第2路军总司令龙云发出《关于<br/>①谦、切，系龙云、薛岳的密码代名词。<br/>②志舟，即龙云。<br/>③伯陵，即薛岳。<br/>④吴、周、李，指吴奇伟、周浑元、李韫珩。<br/>⑤和，系蒋介石的密码代名词。<br/>",
        'filename'=> "T00824_00"
        ],
        [
        'content'=> "?1935年825<br/>李韫珩部向洪门渡进攻电》：“限即到。滇龙总司令：良密。据李抱冰佳已电称，拟以五三师主力向会泽西南方或西方地区，对朱、毛主力造一遭遇战机会，可否，乞示。等语。除电复该部除仍留黄①团在树节渡口堵匪回窜外，主力应速进出普渡河西岸，会攻洪门渡及其以西渡河之匪，以求击匪半渡而歼灭之；如匪已渡河，则应迅速渡江，协同川军追击，勿稍延误外，特电知照。”<br/>国民党云南省政府主席兼“剿匪军”第2路军总司令龙云给蒋介石发出《关于中央红军已过金沙江请求处分电》：“限即刻到。贵阳委员长蒋钧鉴：吭密。今晚十一时接柏灵②白富民电话称：我第三纵队本日已到达江边白马口，未与匪接触，江南岸似已无匪。但万③师与周④纵队明晨方能到达指定之红〔洪〕门、鲁车两渡，有无匪踪，明晨始能明暸〔了〕。等语。据此情形，现虽未接前敌确报，而匪已过江无疑。闻讯之后，五中如焚。初意满拟匪到江边，纵不能完全解决，亦必予痛惩，使溃不成军，藉以除国家之巨害，而报钧座之殊恩于万一。讵料得此结果，愧对袍泽。不问北岸之有无防堵，实职之调度无方，各部队（之）追剿不力，尚何能尤人。唯有请钧座将职严行议处，以谢党国。谨此鞠诚上闻，伏祈鉴核。职龙云。佳（9日）亥机印。”<br/>5月10日林彪、聂荣臻指挥红1军团绕至会理以北五里牌、大湾营、大桥、白云岩，打击向会理增援之敌刘元璋⑤部，配合红3军团围攻会会理。<br/>晚，中央红军全部陆续在会理城郊集中，红3军团及干部团继续猛攻会理城未得手，决定在城西北角和东北角两处挖坑道爆破城墙，加紧进行坑道作业。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月十日（晴）。队伍六时出发，自随六分队十时出发，向会理前进，至朱家坝附近宿营（三十五里）。‘1K’送来广播收音机一架。”<br/>红1军团部《长征经过地点及里程表》：“五月十日。通安→望城坳→观音桥。八十里。”<br/>红1军团童小鹏《日记》：“五月十日。至张官坤。（五十里）。”<br/>红1军团萧锋《日记》：“五月十日（晴）。午后四时出发，经会理东之寨河村，到易门宿营，行程九十里。在绞〔皎〕平渡帮助我军渡江的三十六名船夫，经过<br/>①黄，指黄人英，任国民党军第53师第159旅第313团团长。<br/>②柏灵，应为伯陵，即薛岳。<br/>③万，指万耀煌。<br/>④周，指周浑元。<br/>⑤刘元璋，时任国民党军第7师师长兼川康边防军司令。<br/>",
        'filename'=> "T00825_00"
        ],
        [
        'content'=> "?826红军长征年谱长编（中卷）<br/>九天九夜的紧张工作，终于把全部红军渡过了江。刘总参谋长决定，发给他们每人每天五块现洋，还杀猪宰羊，请他们吃饭。最后，又重奖给每人三十块现洋。船夫们看到红军那么好，很多人都要求跟着红军北上抗日。”<br/>红1军团赖传珠《日记》：“五月十日。到达会理过来之十五里宿营。”<br/>红5军团陈伯钧《日记》：“五月十日（晴）。上午休息，下午行军——由平山经张官冲、张古良桥、黄福滕、大卷洞到仙人洞，约六十里。是日，我军一面攻城，一面集结主力于会理附近，准备打击增援之敌。上午因一军团在张官冲之线通过，所以我们迟至下午三时才由平山之线出发。沿途又因飞机扰乱迟迟不前，结果到张官冲时已天黑了！继由张官冲出发，到仙人洞时已次日一时了！”<br/>红9军团林伟《日记》：“五月十日（晴）。今天我军转移到谭贯窑，九团进到洼乌一线（金沙江西岸），布置在洼乌到蒙姑一线防御，已与巧家敌人接触，两岸互相对射。军委通报：我红四方面军主力，四月中旬从通、南、巴地区西进，已于五月一日先后渡过嘉陵江，五月三日占领西岸的要城阆中城（保宁府）。”<br/>红6军团王恩茂《日记》：“五月十日。写《为消灭地主武装告桑植工农群众》。”红4方面军第30军第88师和第9军第25师各一部，从千佛山东侧向西左右夹击，攻占千佛山主峰佛袓庙，并追歼逃敌至西大垭口。<br/>蒋介石由贵阳飞抵昆明坐镇指挥“督战”，获悉红军已全部渡过金沙江，急令薛岳、周浑元及滇军孙渡向金沙江边尾追，国民党“追剿军”第1、第2纵队和湘军第53师李韫珩部由薛岳“亲率渡江，兼程向会理急进，而留第3纵队搜剿南岸残匪”；令川军杨森、刘文辉扼守大渡河沿岸等地堵截。企图将中央红军围歼于金沙江以北、大渡河以南、雅砻江以东地区。<br/>国民党四川“剿匪”军总司令、省主席刘湘发出《令王缵绪向大垭口、青桐铺进攻，邓锡侯巩固茂县防务电》①：“王②总指挥部在涪江左岸之六旅，迅速转移罗江附近待命，并派出指挥官指挥总预备队四旅，由茶坪向大垭口、青桐铺进攻，先肃清清溪河右岸之匪。邓③部并抽出三团驰赴土门，巩固茂县防务。”<br/>蒋介石给王缵绪发出《关于封锁红4方面军于川北地区电》④：“兹拟封锁徐匪于<br/>①引自国民党《四川剿匪军第六路进攻大垭口、千佛山、江油战斗详报》，以蒸酉电发出。<br/>②王，指王缵绪。<br/>③邓，指邓锡侯。<br/>④引自国民党《四川剿匪军第六路军进攻大垭口、千佛山、江油战斗详报》，以灰酉川行参战电发出。<br/>",
        'filename'=> "T00826_00"
        ],
        [
        'content'=> "?1935年827<br/>青川、平武、松、茂、北、彰①等县间地区，四面包围，筑碉防守。另以有力纵队向匪主力进攻之。着王缵绪出击部队克日务将江油接通，即留许纵队绍宗所部并指挥彭②师，担任自平驿铺不含至绵阳沿涪江左岸赶筑碉堡，北与胡③部确取联络。余部克日驰开罗江附近为预备队。但原驻罗江一带之四旅，应由王缵绪派定人员指挥，限元日前赶到茶坪即向大垭口、北川协同邓、孙④进击。”<br/>上旬林彪打电话给聂荣臻等，要求撤换朱德和毛泽东，请彭德怀出来领导指挥，聂荣臻等对林彪的这一错误言行，进行了批评斗争，并拒绝在林彪写的信上签名。<br/>红4方面军先后撤出彰明、中坝、青川、平武等地，向岷江地区西进。<br/>中共豫陕特委和豫陕游击师成立，鄂豫陕根据地初步建成。<br/>5月11日朱德发出《关于击毁会理敌人的指示》：“甲、据北路小商云距会理城一百里摩挲营，九号有两团开会理城西北之大拦（南）河。另一营开披沙（即宁南），此说待证。乙、我军今十一号完成打击援会城敌人部署，并继续坑道作业。A.一军团以打击援敌之目的，集合大湾营大（定）桥白云岩（庵）地域向西昌来路侦察警戒。B.五军团取捷路集结会城东北之交户保（高卢堡）、杉松坡地域，向东北两方侦察，并受林聂指挥打击援敌。C.三军团任务不变，其十一团任务交一军团后开五里排。D.干部团仍集结金（景）庄庙沙坝一带派人分向白沙、大拦（南）河两方侦察。丙、军委纵队今日仍在朱家坝。丁、各部严密防空。”⑤<br/>中国工农红军总政治部主办的《红星报》第16期印行。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月十一日（晴）。十八时由朱家坝出发，次日一时至铁厂露营（因设营队走错路未分房子，六分队一部也走错）。”红1军团部《长征经过地点及里程表》：“五月十一日。观音桥→大桥。四十里。”红1军团童小鹏《日记》：“五月十一日。至会理北之大桥。（六十里）。”<br/>红1军团萧锋《日记》：“五月十一日（晴）。晨出发，经摩溪营、定旧街到太平场、益门一带宿营，行程七十里。军委纵队在会理北丙谷，我们一军团直属队在益门驻扎。听说三军团宣传部长黄镇同志编了活报剧《一只破草鞋》，讽刺蒋介石数十万人马追不上红军，捡到的只是红军丢掉的破草鞋。毛主席指挥得这么巧妙，在历史上<br/>①松、茂、北、彰，指四川省松潘、茂县、北川、彰明4县。<br/>②彭，指彭韩。任国民党军第21军暂编第2师师长，属“四川剿匪总预备军”序列。<br/>③胡，指胡宗南。<br/>④邓、孙，指邓锡侯、孙震。<br/>⑤原件存中央档案馆，第12卷第22号。<br/>",
        'filename'=> "T00827_00"
        ],
        [
        'content'=> "?828红军长征年谱长编（中卷）<br/>是没有的，红军真是天兵天将<br/>红1军团赖传珠《日记》：“五月十一日。到达瓦店子宿营，打扫清洁，准备三天休息。”<br/>红5军团陈伯钧《日记》：“五月十一日（晴）。集中——由城西南之仙人洞经迟疤店、李公桥、东坝到观音桥，约十五里。晨七时刚由睡梦中醒来，即来电令要我转移至城东北之交芦保、杉松坡集结，准备随时打击增援之敌。因此立即出发向目的地前进。但集合时因敌机扰乱，迟延半时许仍继续前进，到杉松坡、观音桥时，一军团尚未动。当即去一军团司令部闲谈，并派各部在一军团附近之空房内布置宿营，候一军团开动后，才正式全部进入宿营地。是日敌机低空侦察会理通德昌大道，并拋掷少数炸弹，但我无损伤。”<br/>红9军团林伟《日记》：“五月十一日（晴）。我九团向披沙前进，拉宽江面防御，七、八两团即在沿岸防御，争取部队休息。我一、三、五军团正在对西昌、会理进行爆破作业，准备攻城。天气很炎热，在西岸高地对巧家敌人活动看得很清楚。”红6军团王恩茂《日记》：“五月十一日。写《红五月工作给各级党组织的指示信》，及修改《桑植军事部红五月计划》。”<br/>蒋介石作出封锁中央红军予以根本“歼灭”的部署，给薛岳、刘文辉发出《关于围歼中央红军于金沙江以北、大渡河以南、雅砻江以东地区的命令》①：“兹为封锁朱、毛股匪于金沙江以北、大渡河以南、雅陇〔砻〕江川〔以〕东地区根本歼灭计，部署如下：一、刘自乾②部以有力部队固守会理、西昌待援，主力应在大渡河上游富林③以西，沿大渡河北岸赶筑碉楼，严防匪之北窜。二、薛④路应以吴、周、李⑤各纵队迅速渡过金沙江左岸，向围攻会理之匪夹攻，以解会理之围，即进至西昌筑碉，右与昭觉附近之郭勋祺部，左与盐边、盐源之滇军连成碉堡封锁线，严堵匪之南窜。另以孙渡纵队取捷径至盐边、盐源后，沿雅陇〔砻〕江西岸筑碉防守，并在永仁、元谋各县，金沙江右岸筑碉严防匪之西南窜，左与刘自乾部切取联络。”<br/>5月12日张闻天、毛泽东等同军委纵队到达四川会理城郊的铁厂。林彪给中革<br/>①引自国民党《剿匪军第2路军黔西——滇北——川南间地区追剿朱毛股匪经过详报》，以真戌电发出。<br/>②刘自乾，即刘文辉。<br/>③富林，今四川省汉源县人民政府所在地。<br/>④薛，指薛岳。<br/>⑤吴、周、李，指吴奇伟、周浑元、李韫珩。<br/>",
        'filename'=> "T00828_00"
        ],
        [
        'content'=> "?1935年829<br/>军委写信，质疑毛泽东的军事指挥，埋怨红军走的尽是“弓背路”，提出改由彭德怀任前敌指挥，让毛泽东、朱德、周恩来随军主持大计。<br/>彭德怀、杨尚昆向中革军委再次建议：应放弃会理，速派有力支队控制大渡河要点，以便北进。<br/>朱德指示，在彭德怀、杨尚昆赴会理城郊铁厂开会时，叶剑英与政治部主任袁国平代理指挥红3军团。<br/>朱德发出《关于12日召开中央政治局扩大会议的通知》致电林彪、聂荣臻、彭德怀、杨尚昆的电报，指示“A.党中央决于今十二日召开政治局扩大会议①，望彭、杨、少奇三人及林、聂赶于今午十四时到铁场②。B.彭、杨不在时，由叶、袁③代理指挥。C.林、聂不在时，由左、朱代理。”④<br/>下午，中共中央政治局在四川会理城附近的铁厂举行扩大会议（即会理会议）。张闻天主持会议，毛泽东、周恩来、朱德、王稼祥、林彪、聂荣臻、彭德怀、杨尚昆等出席会议。会议讨论了渡江后的行动计划，决定红军继续北上，抢渡天险大渡河，到川西会合红4方面军。会议统一对遵义会议以来中央关于军事战略战术的认识，讨论渡过金沙江后的行动计划，并决定按照遵义会议制定的在川西建立苏区根据地的战略方针继续北上，抢渡大渡河，到川西与四方面军会合。<br/>在这次会议上，红1军团团长林彪提出了怀疑中央正确指挥、反对机动作战、撤换毛泽东和朱德军事指挥的错误要求，并向中革军委写了一封信，大意是：毛泽东、朱德、周恩来随军主持大计，请彭德怀任“前敌指挥”，迅速北进与红4方面军会合。彭德怀在会上看到这封信后，并未介意，他以为“前敌指挥”就是战场指挥。因为红1、红3军团在战斗中早就形成了相互指挥的关系，有时红1军团指挥红3军团，有时红3军团指挥红1军团，有时是自动配合。<br/>会议对林彪等人的撤换军事指挥人的要求进行了严肃的批评，进一步阐明了机动作战才能摆脱敌人重兵包围的作战方针。毛泽东在发言中指出：党内对失去中央苏区<br/>①指会理会议，目前尚未收集到该会议的文献资料。据一些会议参加者回忆：这次会议继续贯彻遵义会议精神，着重解决党中央、中革军委以及中央红军领导层中对于实行灵活机动的运动战战略必要性的认识，批评了林彪等企图改变中央领导的错误主张，统一了战略思想，增强了团结，进一步巩固了毛泽东在红军中的领导地位；会议决定继续北上，会合红4方面军。<br/>②铁场，即铁厂，属四川省会理县，位于该县城郊。据会理会议参加者回忆，这次会议在该地举行。<br/>③指红3军团参谋长叶剑英、政治部主任袁国平。<br/>④原件存中央档案馆，第12卷第25号。<br/>",
        'filename'=> "T00829_00"
        ],
        [
        'content'=> "?830红军长征年谱长编（中卷）<br/>而缺乏胜利信心和存在怀疑和不满情绪，是右倾思想的反映；改变中央军事领导的意见，是违背遵义会议精神的。张闻天在会议报告中批评了林彪的这一错误，周恩来、朱德等在发言中支持毛泽东的意见，赞成毛泽东的军事指挥，指出在危急情况下，由于采取兜大圈子、机动作战的方针，四渡赤水，二占遵义，佯攻贵阳，威逼昆明，北渡金沙江，才摆脱了敌人的重兵包围。会议要求维护遵义会议确立的政治领导和军事领导的团结，克服右倾思想①；并决定立即北上，同红4方面军会合，在会理及其附近停留5天（15日止），争取在长期鏖战后的必要休息与补充，“以便继续夺取西昌而北上”，实现在川西与红4方面军会合之目的。<br/>毛泽东在会上还指出，林彪那封信是彭德怀鼓动起来的。彭德怀考虑大敌当前，需要维护党的团结，未申辩。只就自己未打好鲁班场和习水两战作了自我批评，并批评林彪的信说：“遵义会议才选出新的领导，这时又提出改变前敌指挥是不妥的，特别是提出我，则更不适当。”在1959年庐山会议时，毛泽东在一次中央常委会上重提此事。当时林彪声明说：“那封信与彭德怀无关”，他写信“彭德怀不知道”。针对林彪所谓“拖垮部队”的谬论，毛泽东说：“你是个娃娃，你懂什么？在这个时候，直接跟敌人硬顶不行，绕点圈子，多走点路，这是必要的，完全正确的。”会议决定刘伯承任先遣队司令，运用他在川军中的声望和熟悉地理民情等有利条件为全军开路。②<br/>会理会议，统一了遵义会议以来红军高层对中央关于军事战略战术的认识，确定了红军今后的行动方针，批评了林彪改换中央军事领导的意见，决定中央红军在会理及其附近稍作休整补充后，经西昌继续北上，同红4方面军会合。<br/>朱德发出《关于我军在会理附近停留5天进行休整的部署》致各军团首长“林、聂、彭、杨、董、李、罗、何、邓、蔡”的电报，指示：“甲、我军渡过金沙江，取得战略上胜利和进入川西的有利条件。现追敌正企图渡江跟追，但架桥不易，至少须四五天，西昌来援之敌前进甚缓，并企图从两翼迂回。同时，爆炸会城③亦须十四号始能完成坑道作业。乙、因此，我野战军以遏阻追敌、打击援敌并爆炸会城之目的和部署，决在会理及其附近停留五天（十五号止），争取在长期行军后的必要休息与补<br/>①张闻天1943年在他的延安整风笔记中对这次会议有如下一段评价与总结：“会理会议基本上是正确的，同当时干部中离心倾向及一些动摇情绪做斗争是必要的。但我以为斗争方式还是过火的。因为这些同志的错误，实质上不过是个别的错误，只要加以适当的批评与解释，错误就会改正的，不必用机会主义大帽子去压他们。”<br/>②引自《星火燎原》特刊（1983年总第15期，第64页），宋科《红军总参谋长刘伯承》。<br/>③指四川省会理县城。以下同。<br/>",
        'filename'=> "T00830_00"
        ],
        [
        'content'=> "?1935年831<br/>充，如情况变化，当缩短此停留时间继续北进。丙、依上述决定，我各兵团应以备战姿势进行部队中尤其新战士的战术教育、队列整理，开干部及连队会议传达战斗任务，检阅工作，加紧扩红、筹款及地方工作等。但牵制部队须加强沿江警戒，攻城部队须加强坑道作业与收买硝药，其他兵团则须以消灭援敌为一切部署中心，不得丝毫懈怠，以实现全部战斗胜利，以便继续夺取西昌而北上。”①<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月十二日（晴）。驻铁厂，移到大平寺宿营。下午十八时开通讯部门干部政治讨论会（讨论渡江战略方针）。‘1K’又送来一架广播收音机。”<br/>红1军团童小鹏《日记》：“五月十二、十三日。休息。”<br/>红1军团萧锋《日记》：“五月十二日（晴）。晨出发，经铁匠房、永定营、芭洞到德昌城宿营，行程七十里。德昌城不错，煤很多，它是红二师占领的。部队在这里休息两天。城内货物较多，三角钱买只母鸡。红军买卖公平，群众非常欢迎。德昌县苏维埃政府成立了。各连突击队继续扩红，很多穷苦娃子都愿意当红军。听说会理敌人有四个团，工事很坚固，彭德怀军团长率领三军团在会理奋勇进攻，敌人凭着工事顽抗，我军有七十多名同志伤亡，攻击未奏效。谭主任传达上级首长总结我军在黔、滇、川的英雄行动：遵义会议后，红一方面军在党中央、毛主席的领导下，摆脱了机会主义路线统治时期的被动局面，实行机动灵活的运动战方针，迂回穿插于敌人重兵之间，巧妙地调动和打击敌人，进行了著名的四渡赤水战役（我们三团共过了八次赤水河），接着南渡乌江，威逼贵阳，西进云南，胜利渡过金沙江，跳出了数十万敌军围追堵截的圈子，粉碎了蒋介石妄图围歼红军于黔、滇、川边境的反革命计划。”<br/>红1军团赖传珠《日记》：“五月十二日。至十三日。在瓦店子休息②。”<br/>红5军团陈伯钧《日记》：“五月十二日（晴）。驻军——观音桥。我军有配合一军团集结会理东北，相机打击增援敌人之任务，除备战外，还从事休息、整顿工作。午后，首长们去军委参加政治局扩大会议，解决目前行动问题③。晚检查三十七团工作，该团工作尚未全部做到，枪支一半未擦。”<br/>红9军团林伟《日记》：“五月十二日（晴）。军团部今天移往洼乌。上午两岸<br/>①本电报文末署“十二日”，另种档案文本记写为：“十二日六时（彭杨抄送给后梯队）”。原件存中央档案馆，第12卷第23号。<br/>②部队在此休整。瓦店子在会理附近，毛泽东在会理亲自主持召开了中央政治局扩大会议，统一思想，继续北进，执行在川西北创建根据地的战略计划。<br/>③政治局扩大会议，即1935年5月12日中共中共在会理城郊铁厂召开的政治局扩大会议。<br/>",
        'filename'=> "T00831_00"
        ],
        [
        'content'=> "?832红军长征年谱长编（中卷）<br/>战斗激烈，并有敌机四架来袭，沿江盘旋达八十分钟。晚上，敌人主力在葫芦口偷渡，正面以少数部队向我佯攻，企图抄到我军的后面。葫芦口无我军扼守，故今晚敌人已全部绕道过江，向披沙尾击我军。”<br/>红4方面军第9军、第30军主力攻占墩上、土门，击溃敌5个团的堵击。15日攻占茂县，接着占领威州、理番（今理县）和松潘以南的镇江关、片口等地，控制了以茂县、理番为中心的广大地区。<br/>12时，国民党“四川剿匪军第6路总指挥部”王缵绪于绵阳丰谷井发出《关于向大垭口、千佛山进攻的命令》①：“一、匪之一部集北川墩上，并依据伏泉山、大垭口、千佛山一带天险有田〔由〕茶坪、擂鼓坪突破我一、二两路军，进扰安、绵②之企图。其后续之匪似尚增加中。二、本路总预备队四个旅，限元日赶到茶坪，即向大垭口、千佛山之匪进攻。三、刘旅长兆藜并指挥彭焕章旅，于寒晨由茶坪向大垭口、石泉铺③之匪猛攻，右与邓④部切取联络。四、于旅长渊并指挥章安平旅，同时由鹦哥嘴向千佛山、墩上之匪猛攻，左与邓部陶⑤师切取联络。五、邓和、田钟毅旅驻塔水桥，王纯一旅驻河边场，陈基旅驻永兴场，张竭诚旅驻睢水关，佟毅旅驻秀水场，待命推进。六、总指挥部寒日移驻罗江县城。”<br/>国民党四川“剿匪”军第4路总指挥兼第20军军长杨森给杨汉域发出《关于速赴大渡河北岸布防电》⑥：“顷奉委员长蒋电令，刻匪已由武定渡过金沙江上游直攻会理。四路军立即移赴大渡河布防。上游自大冲起，下游至龚嘴止，沿江北岸严密作持久布署，右与川康刘⑦军杨⑧旅联络。等因。该旅即兼程取捷径移赴大渡河，自马烈⑨面之赵侯庙起至金口河止，沿北岸布置河防，构筑坚工，建碉固守。右与本军四旅⑩，左与本军第一路司令?切取联络。”<br/>①引自国民党《四川剿匪军第六路进攻大垭口、千佛山、江油战斗详报》。<br/>②安、绵，指四川省安县、绵阳（今为市）县。<br/>③石泉铺，今四川省北川县治城镇，即当时的县府所在地。<br/>④邓，指邓锡侯。<br/>⑤陶，指陶凯。<br/>⑥引自国民党《陆军第二十军第三混成旅战斗详报》。此电系国民党军第20军（“四川剿匪军”第4路军）军长杨森给其部属第3混成旅旅长杨汉域的电令，以文未电发出。<br/>⑦刘，指刘文辉。<br/>⑧杨，指杨学端，任国民党军第24军暂编第5师第5旅旅长，该旅辖步兵3个团。<br/>⑨马烈，属四川省汉源县，位于富林镇东部。<br/>⑩四旅，即国民党军第20军第4混成旅，旅长高德周。<br/>?第一路司令，指范子英。<br/>",
        'filename'=> "T00832_00"
        ],
        [
        'content'=> "?1935年833<br/>蒋介石令将中央红军围歼于金沙江以北，大渡河以南，雅砻江以东地区。<br/>晚，蒋介石在昆明省党部及各界民众欢宴席上作题为《全滇民众应负起复兴民族之责》的讲话。<br/>5月13日红军总部（中革军委无线电台）伍云甫《日记》：“五月十三日（晴）。驻铁厂。开一、六分队报务会，传达新规定。”<br/>红5军团陈伯钧《日记》：“五月十三日（晴）。驻军——观音桥。今日仍按原任务在此待机，进行整顿与训练工作。敌人周、吴、孙三纵队①均已抵金沙江边，欲强渡，但水急不成功。孙敌有转回云南消息，川敌有一部停留在金沙江东岸，会理敌不过两团。我友军坑道今日可完成，准备明日爆炸。是晚董、李②回部工作，政治局扩大会已闭幕。”<br/>红9军团林伟《日记》：“五月十三日（阴雨）。拂晓，罗军团长亲自在高处观察，发觉了敌人已偷渡过江的情况，我主动迅速撤退，一面电报军委，立即急行军脱离洼乌地区，因而敌人抄我之计未能得逞。我军连夜向披沙前进。披沙是宁南县，因夜晚雨天小道行军，又是少数民族区域，路滑难行，大军猬集于山间小路。道路两侧林木阴暗，整整一晚我们未能行走三十里，行军中驮银圆的骡马丢失七八匹。”<br/>红4方面军第31军一部攻占川北桃坪。<br/>国民党第17路军总指挥、西安“绥靖”公署主任杨虎城发出《关于消灭红25军于山阳、商县、漫川关以西镇安、柞水以东地区的命令》③：“1.徐海东残匪约三千人，枪约两千支，现由商县属之上官坊窜至黑山街一带，似有窥窜陕鄂边区之企图。其卵育之阮英成④、毛义宾⑤等股盘踞柞水、山阳、镇安、蓝田数县之边区僻野山林中。2.本军以迅速扑灭该匪于山阳、商县、漫川关以西，镇安、柞水以东地区之目的，兵力部署计划概要如次：（甲）王以哲部推进于雒南、商县、山阳、龙驹寨之线。（乙）四十四师陈永⑥所带之四团集中山阳待命进剿。（丙）唐嗣桐、张鸿远各旅暂行集结于蔡玉窑、凤凰咀之线，俟赵寿山部接镇安防后，即行进剿，并接替镇安防务。（丁）<br/>①周、吴、孙3纵队，即国民党军周浑元，吴奇伟、孙渡（“剿匪”军第2路军第3纵队司令官）部。<br/>②董、李，即红5军团军团长董振堂，政委李卓然。<br/>③引自国民党《陆军第三十八军剿匪工作军事报告书（二十四年五月份）》，以元午部参一命令发出。<br/>④阮英成，即阮英臣，任红军鄂陕游击总司令部第4路游击师师长。<br/>⑤毛义宾，即毛仪彬，任红军鄂陕游击总司令部第5路游击师师长。<br/>⑥陈永，任国民党军第44师副师长。<br/>",
        'filename'=> "T00833_00"
        ],
        [
        'content'=> "?834红军长征年谱长编（中卷）<br/>庞①军长驻镇安之一团将防务交赵寿山部后，即移驻两河关以北诸地区。（戊）商县四十二师之景②团将防〔务〕交六十七军后，即归还建制。”<br/>蒋介石在昆明出席云南省党部扩大纪念周，发表题为《建设新云南与复兴民族》的讲话。<br/>国民党滇军孙渡发出《以红军越境渡江北进引咎辞职》致龙云电：“军急。云南。龙总司令钧鉴：凯密。窃职以非才，叠荷殊恩，屡寄重任，本应竭尽绵力，以图报称。唯能力有限，力不从心，以致时有陨越，无任惶悚。此次奉命剿赤匪，不能歼灭共匪于境外，转使越境渡江北窜，深用疚心，若再恋战，恐更滋贻误，现匪既流窜，部队复已回滇，为应付环境便利计，拟总将职部撤销，出钧座直接指挥为佳，否则，仍请另行遴员接替，俾得待时悔过，图报将来。至职个人，如不见罪，仍当以白衣之尊俎，以报恩遇于万世也。迫切陈词，不胜待命之至。职孙渡叩。元（13日）午印。”<br/>5月14日朱德发出《关于尽力遏阻敌军西渡金沙江》致罗炳辉、何长工的电报，指示：“A.周（浑元）、万（耀煌）两敌今日开大松树，将随李（韫珩）敌后由巧家渡江追我。孙（渡）敌留南岸‘清剿’。一、五军团今晚已向德昌、西昌北进。三军团及干部团今晚炸会理城未奏效，军委纵队明晚续向德昌前进。三军团十六日晚跟进。B.我九军团有尽力遏阻李（韫珩）、周（浑元）、谢（溥福）敌于金沙江东岸的任务。九军团从得电起，应即沿西岸加强布防，并选择渡口要点筑工事，以一个值班营分别扼守，不论对岸之敌实行强渡、偷渡或强行架桥，均应坚决射击和破坏之，务使其不得过江；余两个营应留为突击队，在江防后集结休息，准备消灭敌之强渡部队。另派侦察部队，往上下游沿岸远出侦察，如发现敌人偷渡，应即以突击队迅速开往消灭其半渡或已渡的部队，不得迟误。C.九军团阻敌日期，视情况规定，愈长愈有利于野战军主力向北行动，而敌人愈增其‘追剿’的困难。你们应以此意向指战员解释，以坚其凭河扼守的信念和决心。D.你们应利用此时机进行部队中尤其新战士的战术教育，扩大红军，征集资材，特别要加紧夷人③中工作，组织夷民游击队，并留得力军政干部领导之，进行白军中破坏工作，写贴标语，提出反对中央军用纸票、拉伕、抢粮、强奸妇女、杀夷人等口号。E.执行情形电告。”<br/>①庞，指庞炳勋。<br/>②景，指景行，任国民党军第42师第248团团长。<br/>③本电报及此后电文中，所称“夷”“夷人”“夷民”等，系当时对西南地区少数民族泛指的用语，而在金沙江以北至大渡河之间地区内，主要指聚居于大、小凉山一带的彝族人民。<br/>",
        'filename'=> "T00834_00"
        ],
        [
        'content'=> "?1935年835<br/>林彪、聂荣臻率领红1军团由公田营、白果湾北进，15日到达德昌地域。<br/>下午，彭德怀亲临攻打会理城前沿阵地，指挥红3军团爆破城墙，但未奏效。晚，红3军团在挖好的坑道内用火药爆破会理城墙，炸塌城墙西北角一段。国民党军第1旅旅长刘元瑭面部被炸伤，但红军未攻进城。红军后又炸城东北角，因药力小，也未炸塌城墙。在爆炸未成功后，军委主席朱德连夜部署15日各军团的行动部署如下：“A.敌情另电告，我军团今晚炸城未奏效，拟明拂晓前再炸，九军团则留巧家对岸继续遏阻李（韫珩）敌于金沙（江）东岸。B.我野战军已开始北进遭遇和消灭刘（元璋）敌。各部队的任务定明十五日行动如下：1.一军团由公母营（永定营）、白果湾之线各前进六十里左右，并准备拂晓相机消灭德昌之敌，五军团随一军团后跟进，其到达地由林聂规定之并电告军委。2.军委纵队由现驻地经大湾营前进至白果湾夷（益）门之线，干部团取捷径开至夷（益）门南之大湾子上村地域，准备十六日晚北进。C.各军团北进中应加强侦察以及收容工作，加强扩红、筹款、收集资材与破坏白军工作，到处写贴标语，提出反对刘文辉、刘元璋、刘元瑭烧房子、拉夫、强迫当兵、抽收苛捐杂税、杀夷人，反对中央军用纸票、拉伕、抢粮、强奸妇女、杀夷人等口号，派得力军政干部组织夷汉人的游击队。”①<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月十四日（晴）。驻铁厂。”<br/>红1军团部《长征经过地点及里程表》：“五月十四日。大桥→分水岭→雪麻湾。六十里。”<br/>红1军团童小鹏《日记》：“五月十四日。白天休息。下午六时出发，到达半边街附近宿营。（六十里）路平，月亮大，夜晚走路倒是有趣，既无酷热侵人，又无敌机捣乱，只可惜打瞌睡，这是一件讨厌的事情。”<br/>红1军团萧锋《日记》：“五月十四日（晴）。昨晚师政在德昌县城召开部务会议，传达中央政治局会理会议精神。在会理会议上，中央分析了过金沙江后的新形势，认为在这个时候跟敌人硬顶不行，绕点圈子多走点路，是必要的。会议强调了要团结一致，克服困难，顽强战斗，继续北上抗日。要绕道到川西同红四方面军会师。今晨出发，继续北行，经麻粟寨、黄连关到王家营、河西宿营，行程七十里。沿途群众欢迎红军，扩红三十多人。蒋介石还在派兵追我们。五军团十五师参谋长胡训带领十四、十五、十七团在灌阳、新圩抗击追兵。我看到十五团政委钟赤兵、参谋长何德全、<br/>①原件存中央档案馆，第12卷第28号。<br/>",
        'filename'=> "T00835_00"
        ],
        [
        'content'=> "?836红军长征年谱长编（中卷）<br/>十七团团长李屏仁。一路上，五、九军团都是担任阻击掩护任务，吃尽了苦头。我们要向兄弟军团学习，提高军事技术，培养对空特等射手，用机枪对付敌军飞机。”<br/>红1军团赖传珠《日记》：“五月十四日。下午六时出发，半夜才到半边街附近宿营。”<br/>红5军团陈伯钧《日记》：“五月十四日（晴）。夜行军——由观音桥经白云岩、大桥、大湾营、油菜地到夷门，行程五十里。我军于十二日休息整顿之后，于今日开始北进。夜行军中，总感觉走得不痛快，天快拂晓，才全部相继到达。”<br/>红9军团林伟《日记》：“五月十四日（雨）。经过昨晚一夜的行军，天明时分才进到了披沙（宁南）附近的一个山地休息。部队吃过早饭，八点又从这里向西昌前进，经过瑶、彝民族聚集地区，下午进到名叫苦海子的地方宿营。此地瑶、彝民族生活很贫困，主要是以玉米及荞麦为生，男女均衣衫褴褛，每人仅披羊毛织成的黑毯子一条。”<br/>红4方面军第9军、第30军和第31军一部，分左、中、右三路，向土门发起总攻。经激战，国民党军土门防线土崩瓦解，红军当日攻占土门。<br/>蒋介石发出《关于特别注意在土门“堵剿”红4方面军给邓锡侯电》①：“总〔综〕合情报，徐匪已有逐渐西移之势。对于土门、千佛山方面应特别注意堵剿。现王②部四旅既已到达茶坪一带，即由王部担任向大垭口进击③。该部茶坪及其附近部队均应速向西移，担任千佛山、观音梁方面协同出击。并盼遵令赶赴绵竹指挥。”国民党军将领王以哲发出《关于进驻雒南、商县防堵红25军东进电》④：“（一）军以防匪东窜及搜剿本区内残匪之目的，即分途向雒南、商县、龙驹寨等处前进。（二）百〇七师应以一团任商县防务，以二团控置〔制〕于该县东南拉林子街、沙河子街、西涧底湾、坡寨一带，主防对西及西南窜来之匪。（三）第百十师应以一团驻龙驹寨，以两团控置〔制〕于商雒⑤、茶房、棣华各镇一带，主防南及西窜来之匪。（四）第百二十九师应以两营任雒南城防，一营驻柳林铺、十里铺一带，主力控置〔制〕于灵<br/>①引自国民党《陆军第四十五军、四川剿匪军第一路剿匪军事工作报告书》，以寒申电发出。<br/>②王，指王缵绪。<br/>③1935年5月14日红军攻占土门。15日，刘湘急电王缵绪：“土门昨夜失守。邓〔锡侯〕部退至茂县十里之处。饬王总亲率四旅由大石坝、鹦哥嘴向观音梁、土门之匪进攻。同时茶坪正面猛向大垭口攻击，以期节节打断匪之西窜。”<br/>④引自国民党《陆军第六十七军二十四年五月份剿匪工作军事报告书》，以寒酉参道蒿电发出。<br/>⑤商雒，今陕西省丹凤县商洛镇。<br/>",
        'filename'=> "T00836_00"
        ],
        [
        'content'=> "?1935年837<br/>官庙、景村镇附近，主防西来之匪及策应一〇七、一一〇师。（五）各师于到达指定地点后，须于十日内将残匪肃清。（六）第百十师限巧日到达，余各师限筱日前到达指定地点。”<br/>5月15日中央红军为了执行在川西或川西北创建根据地的战略方针，撤攻会理之围，继续北进，经西昌、泸沽进入彝族聚居的地区。<br/>毛泽东、周恩来、朱德等同军委纵队离开铁厂，到达白果湾。<br/>彭德怀、杨尚昆指挥红3军团于会理附近，掩护中央红军主力和军委纵队，顺利通过会理北上。<br/>红军总部（中革军委无线电台）伍云甫《日记》：“五月十五日（晴）。刘有才调二十九分队，一分队陈光全、六分队施德富去干部团受训练。十七时由铁厂出发，经小黄田、单家冲、大湾营、益门镇，越一大山至白果湾宿营，到达时已次日二时余。（约七十里）。”<br/>红1军团部《长征经过地点及里程表》：“五月十五日。雪麻湾→金川桥。一百里。”<br/>红1军团童小鹏《日记》：“五月十五日。到良桥。（六十五里）。”<br/>红1军团萧锋《日记》：“五月十五日（阴）。晨出发，经马安山、尧安桥到西昌城宿营，行程七十里。准备过彝族区，我们的政策是：同彝族兄弟团结抗日。战士们不断问：又往北走，走到哪里去？军事机密不好讲，只说到四川去。有人说，我们经过长期战斗，骡马死了一半，很困难。这里敌人不多，生活也不错，可以多住一个时期。在困难的时候，共产党员只能绝对服从党的领导，党中央、毛主席指到哪里，我们就战斗到哪里。”<br/>红1军团赖传珠《日记》：“五月十五日。下午四时半出发，到杉松树宿营。”<br/>红5军团陈伯钧《日记》：“五月十五日（晴）。夜行军——由夷门经白果湾、半边街、分水岭、摩沙营、甸沙关到富坪口，行程六十里。白日里只准备了一些出发事宜，其余则为防空看书等。并于是日完成送干部团学生十八名的任务。晚继续行动，因道路不好走，又过两次小河，结果耽误了一些时间，所以到富坪口时，已大天亮了！”<br/>红9军团林伟《日记》：“五月十五日（微雨）。今天我们继续通过瑶、彝民族的山区，赶到拖坝宿营。因房屋稀少，大部在雨中露宿了一晚。这一带都是山区，土地贫瘠，人民生活困苦。我红四方面军渡过嘉陵江后，声势浩大，大军向成都方面多路前进，十二日红四军占领梓楂，红九军进占绵阳，十三日红三十军占领彰明，渡过<br/>",
        'filename'=> "T00837_00"
        ],
        [
        'content'=> "?838红军长征年谱长编（中卷）<br/>了涪江，正向岷江流域推进中。四川军阀刘湘在成都告急，火速急调其过江入黔北之川军潘文华、郭勋祺、范绍增等部返回江北，故现在黔北地区川军正纷纷过江向川中撤退。我红一、三、五军团在会理、西昌围攻六日，因土工爆破两次失败，敌已将周围居民地拆除，火力封锁，不便接近，未完成任务。现在正从会理、西昌、德昌地区，分两路取道冕宁的西边和越西的东边北进，为抢渡大渡河而战。中共中央在铁坑会议完毕北进，留张闻天同志在礼州等九军团到达。”<br/>红4方面军占领茂县。<br/>国民党军事委员会委员长行营驻川参谋团下令，总攻川北徐向前所属红4方面军。<br/>国民党军事委员会委员长行营参谋团主任贺国光给王缵绪发出《关于速解江油之围电》①：“查江油被围日久，亟应从速解围。迭经委座电饬遵办在案。望严令许②纵队克日准备渡河材料，规定渡河地点及日期，以便派飞机掩护渡河。”<br/>国民党武昌行营修正重颁《“剿匪”各省区行政督察专员及县长并任行营军法官条例》。<br/>蒋介石在昆明对云南省“党政军”人员发表题为《推进云南省政工作》的讲话。<br/>5月16日中革军委主席朱德发出《我军向西昌前进的部署》：“甲、据报半站营有刘（元璋）敌两团，五十三师李（韫珩）旅昨晨强渡金沙江。乙、我军主力今十六日黄昏前仍向西昌前进，执行原任务。A.一军团进到德昌地域相机消灭监视德昌之敌。B.五军团在一军团后跟进，地点由林聂规定之，如一军团监视德昌敌人时则准备十七号协同干部团接任监视，以便一军团及军委纵队通过北进。C.军委纵队（含干部团）进到永定营、甸沙关之线。D.三军团（张爱萍带的营及五军团教导营侦察连均十六号上午到会理一同北进），主力无论攻城得手与否，应进到白果湾、夷（益）门、大湾子之线，其后卫团则在油菜地丫口，遏止会理可能来敌并破坏来路交通，如会城攻下则该团及地方工作部留会理一天征集资材。E.九军团仍在现地扼敌不变。丙、三军团负责散发群众谷物。”③<br/>林彪、聂荣臻指挥红1军团向德昌攻击前进。黄昏，红1师第1团在半站营、八斗冲击溃敌刘元璋部3个团各一部的拦阻，并乘胜追击，与红2师第5团向德昌发起进<br/>①引自国民党《四川剿匪军第六路进攻大垭口、千佛山、江油战斗详报》，以咸已电发出。<br/>②许，指许绍宗。<br/>③原件存中央档案馆，第12卷第30号。<br/>",
        'filename'=> "T00838_00"
        ]
        ],
        'id'=> 311606378751357,
        'title'=> "川陕革命根据地财政经济史料选编"
        ],
        'success'=> true
      ];
        return $info;
    }

    public function getText()
    {

        $text = [
                'code'=> 200,
                'msg'=> "请求成功",
                'currtPage'=> 0,
                'totalPage'=> 0,
                'totalRows'=> 0,
                'pageResults'=> 0,
                'success'=> true,
                'dataList'=> [
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "却一直向西进",
                'number'=> 1,
                'backgroundColor'=> "rgb(60,15,160,.2)",
                'beginPage'=> 2,
                'endTxt'=> "器械更窳败不堪",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "T00795_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611826500786,
                'endPage'=> 2,
                'title'=> "测试1"

                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "却一直向西进入",
                'number'=> 2,
                'backgroundColor'=> "rgb(40,13,120,.2)",
                'beginPage'=> 2,
                'endTxt'=> "从寻甸柯",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "T00795_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611826500787,
                'endPage'=> 2,
                'title'=> "测试2"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "家庄抵枇杷哨趋",
                'number'=> 3,
                'backgroundColor'=> "rgb(54,234,128,.2)",
                'beginPage'=> 2,
                'endTxt'=> "5军团从寻甸",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "T00795_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611826500788,
                'endPage'=> 2,
                'title'=> "11"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "文指",
                'number'=> 4,
                'backgroundColor'=> "rgb(92,250,100,.2)",
                'beginPage'=> 2,
                'endTxt'=> "行程",
                'endFileName'=> "T00796_00",
                'beginFileName'=> "T00795_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611826500789,
                'endPage'=> 3,
                'title'=> "11"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "十三五",
                'number'=> 5,
                'backgroundColor'=> "rgb(141,36,183,.2)",
                'beginPage'=> 1,
                'endTxt'=> "云南",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "A00001_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611883379834,
                'endPage'=> 2,
                'title'=> "测试"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "迫使龙云收缩力量守卫昆明。红",
                'number'=> 6,
                'backgroundColor'=> "rgb(56,254,249,.2)",
                'beginPage'=> 2,
                'endTxt'=> "烽火弥天。",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "T00795_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611883379835,
                'endPage'=> 2,
                'title'=> "11"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "五国",
                'number'=> 7,
                'backgroundColor'=> "rgb(183,182,32,.2)",
                'beginPage'=> 1,
                'endTxt'=> "出版",
                'endFileName'=> "A00001_00",
                'beginFileName'=> "A00001_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611883379836,
                'endPage'=> 1,
                'title'=> "1"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "天出版",
                'number'=> 8,
                'backgroundColor'=> "rgb(90,94,245,.2)",
                'beginPage'=> 1,
                'endTxt'=> "石又急",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "A00001_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611900816180,
                'endPage'=> 2,
                'title'=> "123"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "部队协同",
                'number'=> 9,
                'backgroundColor'=> "rgb(121,71,192,.2)",
                'beginPage'=> 5,
                'endTxt'=> "师及西",
                'endFileName'=> "T00798_00",
                'beginFileName'=> "T00798_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611900816181,
                'endPage'=> 5,
                'title'=> "121"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "十三五",
                'number'=> 10,
                'backgroundColor'=> "rgb(236,127,3,.2)",
                'beginPage'=> 1,
                'endTxt'=> "进入云南",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "A00001_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611900816182,
                'endPage'=> 2,
                'title'=> "1221"
                ],
                [
                'endTxtIndex'=> 0,
                'beginTxt'=> "直向西进入云南。",
                'number'=> 11,
                'backgroundColor'=> "rgb(86,64,212,.2)",
                'beginPage'=> 2,
                'endTxt'=> "石才弄清",
                'endFileName'=> "T00795_00",
                'beginFileName'=> "T00795_00",
                'beginTxtIndex'=> 0,
                'id'=> 1681611900816183,
                'endPage'=> 2,
                'title'=> "123"
                ]
                ]
                ];
        return $text;
    }
}
